$(function(){
var pivotGrid = $("#sales").dxPivotGrid({
allowSortingBySummary: true,
allowSorting: true,
allowFiltering: true,
allowExpandAll: true,
showColumnTotals: false,
showTotalsPrior: "rows",
showBorders: true,
fieldChooser: {
enabled: false
},
dataSource: {
fields: [{
caption: "Region",
width: 120,
dataField: "region",
area: "row"
}, {
caption: "City",
dataField: "city",
width: 150,
area: "row"
}, {
dataField: "date",
dataType: "date",
area: "column"
}, {
groupName: "date",
groupInterval: "year",
expanded: true
}, {
groupName: "date",
groupInterval: "month",
visible: false
}, {
caption: "Total",
dataField: "amount",
dataType: "number",
summaryType: "sum",
format: "currency",
area: "data"
}, {
caption: "Running Total",
dataField: "amount",
dataType: "number",
summaryType: "sum",
format: "currency",
area: "data",
runningTotal: "row",
allowCrossGroupCalculation: true
}],
store: sales
}
}).dxPivotGrid("instance");
$("#running-total").dxCheckBox({
value: true,
text: "Allow cross-group running totals accumulation",
onValueChanged: function(e) {
var pivotGridDataSource = pivotGrid.getDataSource();
pivotGridDataSource.field(6, {allowCrossGroupCalculation: e.value});
pivotGridDataSource.load();
}
});
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.light.css" />
<script src="https://cdn3.devexpress.com/jslib/20.2.5/js/dx.all.js"></script>
<script src="data.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="sales"></div>
<div id="running-total"></div>
</div>
</body>
</html>
#sales {
margin: 20px 0;
}
var sales = [{
"id": 10248,
"region": "North America",
"country": "United States",
"city": "New York",
"amount": 1740,
"date": "2013-01-06"
}, {
"id": 10249,
"region": "North America",
"country": "United States",
"city": "Los Angeles",
"amount": 850,
"date": "2013-01-13"
}, {
"id": 10250,
"region": "North America",
"country": "United States",
"city": "Denver",
"amount": 2235,
"date": "2013-01-07"
}, {
"id": 10251,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 1965,
"date": "2013-01-03"
}, {
"id": 10252,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 880,
"date": "2013-01-10"
}, {
"id": 10253,
"region": "South America",
"country": "Brazil",
"city": "Rio de Janeiro",
"amount": 5260,
"date": "2013-01-17"
}, {
"id": 10254,
"region": "South America",
"country": "Argentina",
"city": "Buenos Aires",
"amount": 2790,
"date": "2013-01-21"
}, {
"id": 10255,
"region": "South America",
"country": "Paraguay",
"city": "Asuncion",
"amount": 3140,
"date": "2013-01-01"
}, {
"id": 10256,
"region": "Europe",
"country": "United Kingdom",
"city": "London",
"amount": 6175,
"date": "2013-01-24"
}, {
"id": 10257,
"region": "Europe",
"country": "Germany",
"city": "Berlin",
"amount": 4575,
"date": "2013-01-11"
}, {
"id": 10258,
"region": "Europe",
"country": "Spain",
"city": "Madrid",
"amount": 3680,
"date": "2013-01-12"
}, {
"id": 10259,
"region": "Europe",
"country": "Russian Federation",
"city": "Moscow",
"amount": 2260,
"date": "2013-01-01"
}, {
"id": 10260,
"region": "Asia",
"country": "China",
"city": "Beijing",
"amount": 2910,
"date": "2013-01-26"
}, {
"id": 10261,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 8400,
"date": "2013-01-05"
}, {
"id": 10262,
"region": "Asia",
"country": "Republic of Korea",
"city": "Seoul",
"amount": 1325,
"date": "2013-01-14"
}, {
"id": 10263,
"region": "Australia",
"country": "Australia",
"city": "Sydney",
"amount": 3920,
"date": "2013-01-05"
}, {
"id": 10264,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 2220,
"date": "2013-01-15"
}, {
"id": 10265,
"region": "Africa",
"country": "South Africa",
"city": "Pretoria",
"amount": 940,
"date": "2013-01-01"
}, {
"id": 10266,
"region": "Africa",
"country": "Egypt",
"city": "Cairo",
"amount": 1630,
"date": "2013-01-10"
}, {
"id": 10267,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 2910,
"date": "2013-01-23"
}, {
"id": 10268,
"region": "North America",
"country": "United States",
"city": "Los Angeles",
"amount": 2600,
"date": "2013-01-14"
}, {
"id": 10269,
"region": "Europe",
"country": "Spain",
"city": "Madrid",
"amount": 4340,
"date": "2013-01-26"
}, {
"id": 10270,
"region": "Europe",
"country": "United Kingdom",
"city": "London",
"amount": 6650,
"date": "2013-01-24"
}, {
"id": 10271,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 490,
"date": "2013-01-22"
}, {
"id": 10272,
"region": "North America",
"country": "United States",
"city": "New York",
"amount": 3390,
"date": "2013-01-25"
}, {
"id": 10273,
"region": "North America",
"country": "United States",
"city": "New York",
"amount": 5160,
"date": "2013-02-20"
}, {
"id": 10274,
"region": "North America",
"country": "United States",
"city": "Los Angeles",
"amount": 5750,
"date": "2013-02-12"
}, {
"id": 10275,
"region": "North America",
"country": "United States",
"city": "Denver",
"amount": 2805,
"date": "2013-02-13"
}, {
"id": 10276,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 2505,
"date": "2013-02-09"
}, {
"id": 10277,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 930,
"date": "2013-02-04"
}, {
"id": 10278,
"region": "South America",
"country": "Brazil",
"city": "Rio de Janeiro",
"amount": 1240,
"date": "2013-02-03"
}, {
"id": 10279,
"region": "South America",
"country": "Argentina",
"city": "Buenos Aires",
"amount": 315,
"date": "2013-02-04"
}, {
"id": 10280,
"region": "South America",
"country": "Paraguay",
"city": "Asuncion",
"amount": 2870,
"date": "2013-02-18"
}, {
"id": 10281,
"region": "Europe",
"country": "United Kingdom",
"city": "London",
"amount": 5150,
"date": "2013-02-18"
}, {
"id": 10282,
"region": "Europe",
"country": "Germany",
"city": "Berlin",
"amount": 2725,
"date": "2013-02-20"
}, {
"id": 10283,
"region": "Europe",
"country": "Spain",
"city": "Madrid",
"amount": 2840,
"date": "2013-02-04"
}, {
"id": 10284,
"region": "Europe",
"country": "Russian Federation",
"city": "Moscow",
"amount": 5840,
"date": "2013-02-13"
}, {
"id": 10285,
"region": "Asia",
"country": "China",
"city": "Beijing",
"amount": 6750,
"date": "2013-02-11"
}, {
"id": 10286,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 1200,
"date": "2013-02-03"
}, {
"id": 10287,
"region": "Asia",
"country": "Republic of Korea",
"city": "Seoul",
"amount": 4550,
"date": "2013-02-08"
}, {
"id": 10288,
"region": "Australia",
"country": "Australia",
"city": "Sydney",
"amount": 6040,
"date": "2013-02-17"
}, {
"id": 10289,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 2205,
"date": "2013-02-08"
}, {
"id": 10290,
"region": "Africa",
"country": "South Africa",
"city": "Pretoria",
"amount": 990,
"date": "2013-02-20"
}, {
"id": 10291,
"region": "Africa",
"country": "Egypt",
"city": "Cairo",
"amount": 700,
"date": "2013-02-11"
}, {
"id": 10292,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 2325,
"date": "2013-02-15"
}, {
"id": 10293,
"region": "South America",
"country": "Argentina",
"city": "Buenos Aires",
"amount": 930,
"date": "2013-02-21"
}, {
"id": 10294,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 1560,
"date": "2013-02-04"
}, {
"id": 10295,
"region": "North America",
"country": "United States",
"city": "New York",
"amount": 1740,
"date": "2013-03-04"
}, {
"id": 10296,
"region": "North America",
"country": "United States",
"city": "Los Angeles",
"amount": 3575,
"date": "2013-03-20"
}, {
"id": 10297,
"region": "North America",
"country": "United States",
"city": "Denver",
"amount": 4500,
"date": "2013-03-04"
}, {
"id": 10298,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 1605,
"date": "2013-03-17"
}, {
"id": 10299,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 800,
"date": "2013-03-21"
}, {
"id": 10300,
"region": "South America",
"country": "Brazil",
"city": "Rio de Janeiro",
"amount": 640,
"date": "2013-03-08"
}, {
"id": 10301,
"region": "South America",
"country": "Argentina",
"city": "Buenos Aires",
"amount": 735,
"date": "2013-03-19"
}, {
"id": 10302,
"region": "South America",
"country": "Paraguay",
"city": "Asuncion",
"amount": 2520,
"date": "2013-03-20"
}, {
"id": 10303,
"region": "Europe",
"country": "United Kingdom",
"city": "London",
"amount": 6675,
"date": "2013-03-18"
}, {
"id": 10304,
"region": "Europe",
"country": "Germany",
"city": "Berlin",
"amount": 3625,
"date": "2013-03-25"
}, {
"id": 10305,
"region": "Europe",
"country": "Spain",
"city": "Madrid",
"amount": 1200,
"date": "2013-03-07"
}, {
"id": 10306,
"region": "Europe",
"country": "Russian Federation",
"city": "Moscow",
"amount": 2000,
"date": "2013-03-07"
}, {
"id": 10307,
"region": "Asia",
"country": "China",
"city": "Beijing",
"amount": 1410,
"date": "2013-03-10"
}, {
"id": 10308,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 2700,
"date": "2013-03-19"
}, {
"id": 10309,
"region": "Asia",
"country": "Republic of Korea",
"city": "Seoul",
"amount": 5950,
"date": "2013-03-24"
}, {
"id": 10310,
"region": "Australia",
"country": "Australia",
"city": "Sydney",
"amount": 5120,
"date": "2013-03-08"
}, {
"id": 10311,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 1980,
"date": "2013-03-17"
}, {
"id": 10312,
"region": "Africa",
"country": "South Africa",
"city": "Pretoria",
"amount": 1110,
"date": "2013-03-08"
}, {
"id": 10313,
"region": "Africa",
"country": "Egypt",
"city": "Cairo",
"amount": 980,
"date": "2013-03-21"
}, {
"id": 10314,
"region": "Australia",
"country": "Australia",
"city": "Sydney",
"amount": 5460,
"date": "2013-03-19"
}, {
"id": 10315,
"region": "Europe",
"country": "Germany",
"city": "Berlin",
"amount": 3800,
"date": "2013-03-12"
}, {
"id": 10316,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 2610,
"date": "2013-03-04"
}, {
"id": 10317,
"region": "Europe",
"country": "Russian Federation",
"city": "Moscow",
"amount": 3080,
"date": "2013-03-22"
}, {
"id": 10318,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 2010,
"date": "2013-03-23"
}, {
"id": 10319,
"region": "Asia",
"country": "China",
"city": "Beijing",
"amount": 1200,
"date": "2013-03-04"
}, {
"id": 10320,
"region": "North America",
"country": "United States",
"city": "New York",
"amount": 7680,
"date": "2013-04-15"
}, {
"id": 10321,
"region": "North America",
"country": "United States",
"city": "Los Angeles",
"amount": 1325,
"date": "2013-04-07"
}, {
"id": 10322,
"region": "North America",
"country": "United States",
"city": "Denver",
"amount": 2835,
"date": "2013-04-10"
}, {
"id": 10323,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 3660,
"date": "2013-04-10"
}, {
"id": 10324,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 390,
"date": "2013-04-12"
}, {
"id": 10325,
"region": "South America",
"country": "Brazil",
"city": "Rio de Janeiro",
"amount": 4420,
"date": "2013-04-08"
}, {
"id": 10326,
"region": "South America",
"country": "Argentina",
"city": "Buenos Aires",
"amount": 1755,
"date": "2013-04-13"
}, {
"id": 10327,
"region": "South America",
"country": "Paraguay",
"city": "Asuncion",
"amount": 2580,
"date": "2013-04-15"
}, {
"id": 10328,
"region": "Europe",
"country": "United Kingdom",
"city": "London",
"amount": 850,
"date": "2013-04-01"
}, {
"id": 10329,
"region": "Europe",
"country": "Germany",
"city": "Berlin",
"amount": 2825,
"date": "2013-04-10"
}, {
"id": 10330,
"region": "Europe",
"country": "Spain",
"city": "Madrid",
"amount": 540,
"date": "2013-04-06"
}, {
"id": 10331,
"region": "Europe",
"country": "Russian Federation",
"city": "Moscow",
"amount": 1520,
"date": "2013-04-08"
}, {
"id": 10332,
"region": "Asia",
"country": "China",
"city": "Beijing",
"amount": 8760,
"date": "2013-04-26"
}, {
"id": 10333,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 1110,
"date": "2013-04-16"
}, {
"id": 10334,
"region": "Asia",
"country": "Republic of Korea",
"city": "Seoul",
"amount": 6850,
"date": "2013-04-19"
}, {
"id": 10335,
"region": "Australia",
"country": "Australia",
"city": "Sydney",
"amount": 1940,
"date": "2013-04-23"
}, {
"id": 10336,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 1980,
"date": "2013-04-21"
}, {
"id": 10337,
"region": "Africa",
"country": "South Africa",
"city": "Pretoria",
"amount": 3090,
"date": "2013-04-03"
}, {
"id": 10338,
"region": "Africa",
"country": "Egypt",
"city": "Cairo",
"amount": 1640,
"date": "2013-04-24"
}, {
"id": 10339,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 3585,
"date": "2013-04-01"
}, {
"id": 10340,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 1770,
"date": "2013-04-01"
}, {
"id": 10341,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 4005,
"date": "2013-04-04"
}, {
"id": 10342,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 2870,
"date": "2013-04-02"
}, {
"id": 10343,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 960,
"date": "2013-04-20"
}, {
"id": 10344,
"region": "North America",
"country": "United States",
"city": "New York",
"amount": 8640,
"date": "2013-05-14"
}, {
"id": 10345,
"region": "North America",
"country": "United States",
"city": "Los Angeles",
"amount": 5450,
"date": "2013-05-24"
}, {
"id": 10346,
"region": "North America",
"country": "United States",
"city": "Denver",
"amount": 2535,
"date": "2013-05-07"
}, {
"id": 10347,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 1155,
"date": "2013-05-20"
}, {
"id": 10348,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 3140,
"date": "2013-05-18"
}, {
"id": 10349,
"region": "South America",
"country": "Brazil",
"city": "Rio de Janeiro",
"amount": 2260,
"date": "2013-05-19"
}, {
"id": 10350,
"region": "South America",
"country": "Argentina",
"city": "Buenos Aires",
"amount": 1215,
"date": "2013-05-23"
}, {
"id": 10351,
"region": "South America",
"country": "Paraguay",
"city": "Asuncion",
"amount": 1210,
"date": "2013-05-08"
}, {
"id": 10352,
"region": "Europe",
"country": "United Kingdom",
"city": "London",
"amount": 875,
"date": "2013-05-25"
}, {
"id": 10353,
"region": "Europe",
"country": "Germany",
"city": "Berlin",
"amount": 5400,
"date": "2013-05-03"
}, {
"id": 10354,
"region": "Europe",
"country": "Spain",
"city": "Madrid",
"amount": 5940,
"date": "2013-05-25"
}, {
"id": 10355,
"region": "Europe",
"country": "Russian Federation",
"city": "Moscow",
"amount": 4700,
"date": "2013-05-03"
}, {
"id": 10356,
"region": "Asia",
"country": "China",
"city": "Beijing",
"amount": 5520,
"date": "2013-05-12"
}, {
"id": 10357,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 9210,
"date": "2013-05-22"
}, {
"id": 10358,
"region": "Asia",
"country": "Republic of Korea",
"city": "Seoul",
"amount": 7950,
"date": "2013-05-12"
}, {
"id": 10359,
"region": "Australia",
"country": "Australia",
"city": "Sydney",
"amount": 3740,
"date": "2013-05-24"
}, {
"id": 10360,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 990,
"date": "2013-05-02"
}, {
"id": 10361,
"region": "Africa",
"country": "South Africa",
"city": "Pretoria",
"amount": 3190,
"date": "2013-05-03"
}, {
"id": 10362,
"region": "Africa",
"country": "Egypt",
"city": "Cairo",
"amount": 2430,
"date": "2013-05-11"
}, {
"id": 10363,
"region": "North America",
"country": "United States",
"city": "New York",
"amount": 7380,
"date": "2013-06-15"
}, {
"id": 10364,
"region": "North America",
"country": "United States",
"city": "Los Angeles",
"amount": 4475,
"date": "2013-06-08"
}, {
"id": 10365,
"region": "North America",
"country": "United States",
"city": "Denver",
"amount": 1290,
"date": "2013-06-10"
}, {
"id": 10366,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 2250,
"date": "2013-06-10"
}, {
"id": 10367,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 350,
"date": "2013-06-22"
}, {
"id": 10368,
"region": "South America",
"country": "Brazil",
"city": "Rio de Janeiro",
"amount": 5480,
"date": "2013-06-24"
}, {
"id": 10369,
"region": "South America",
"country": "Argentina",
"city": "Buenos Aires",
"amount": 2355,
"date": "2013-06-10"
}, {
"id": 10370,
"region": "South America",
"country": "Paraguay",
"city": "Asuncion",
"amount": 1960,
"date": "2013-06-23"
}, {
"id": 10371,
"region": "Europe",
"country": "United Kingdom",
"city": "London",
"amount": 4125,
"date": "2013-06-06"
}, {
"id": 10372,
"region": "Europe",
"country": "Germany",
"city": "Berlin",
"amount": 7925,
"date": "2013-06-12"
}, {
"id": 10373,
"region": "Europe",
"country": "Spain",
"city": "Madrid",
"amount": 1120,
"date": "2013-06-22"
}, {
"id": 10374,
"region": "Europe",
"country": "Russian Federation",
"city": "Moscow",
"amount": 5100,
"date": "2013-06-01"
}, {
"id": 10375,
"region": "Asia",
"country": "China",
"city": "Beijing",
"amount": 1500,
"date": "2013-06-25"
}, {
"id": 10376,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 5130,
"date": "2013-06-10"
}, {
"id": 10377,
"region": "Asia",
"country": "Republic of Korea",
"city": "Seoul",
"amount": 2475,
"date": "2013-06-10"
}, {
"id": 10378,
"region": "Australia",
"country": "Australia",
"city": "Sydney",
"amount": 2100,
"date": "2013-06-06"
}, {
"id": 10379,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 3570,
"date": "2013-06-10"
}, {
"id": 10380,
"region": "Africa",
"country": "South Africa",
"city": "Pretoria",
"amount": 550,
"date": "2013-06-02"
}, {
"id": 10381,
"region": "Africa",
"country": "Egypt",
"city": "Cairo",
"amount": 2850,
"date": "2013-06-26"
}, {
"id": 10382,
"region": "Europe",
"country": "Russian Federation",
"city": "Moscow",
"amount": 4280,
"date": "2013-06-19"
}, {
"id": 10383,
"region": "Australia",
"country": "Australia",
"city": "Sydney",
"amount": 1460,
"date": "2013-06-17"
}, {
"id": 10384,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 960,
"date": "2013-06-17"
}, {
"id": 10385,
"region": "Africa",
"country": "Egypt",
"city": "Cairo",
"amount": 1520,
"date": "2013-06-03"
}, {
"id": 10386,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 6750,
"date": "2013-06-21"
}, {
"id": 10387,
"region": "North America",
"country": "United States",
"city": "New York",
"amount": 7260,
"date": "2013-07-14"
}, {
"id": 10388,
"region": "North America",
"country": "United States",
"city": "Los Angeles",
"amount": 2450,
"date": "2013-07-11"
}, {
"id": 10389,
"region": "North America",
"country": "United States",
"city": "Denver",
"amount": 3540,
"date": "2013-07-02"
}, {
"id": 10390,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 1950,
"date": "2013-07-03"
}, {
"id": 10391,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 360,
"date": "2013-07-07"
}, {
"id": 10392,
"region": "South America",
"country": "Brazil",
"city": "Rio de Janeiro",
"amount": 4500,
"date": "2013-07-03"
}, {
"id": 10393,
"region": "South America",
"country": "Argentina",
"city": "Buenos Aires",
"amount": 4575,
"date": "2013-07-21"
}, {
"id": 10394,
"region": "South America",
"country": "Paraguay",
"city": "Asuncion",
"amount": 2310,
"date": "2013-07-18"
}, {
"id": 10395,
"region": "Europe",
"country": "United Kingdom",
"city": "London",
"amount": 7500,
"date": "2013-07-04"
}, {
"id": 10396,
"region": "Europe",
"country": "Germany",
"city": "Berlin",
"amount": 3575,
"date": "2013-07-23"
}, {
"id": 10397,
"region": "Europe",
"country": "Spain",
"city": "Madrid",
"amount": 760,
"date": "2013-07-01"
}, {
"id": 10398,
"region": "Europe",
"country": "Russian Federation",
"city": "Moscow",
"amount": 2400,
"date": "2013-07-11"
}, {
"id": 10399,
"region": "Asia",
"country": "China",
"city": "Beijing",
"amount": 3330,
"date": "2013-07-04"
}, {
"id": 10400,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 3480,
"date": "2013-07-23"
}, {
"id": 10401,
"region": "Asia",
"country": "Republic of Korea",
"city": "Seoul",
"amount": 4875,
"date": "2013-07-11"
}, {
"id": 10402,
"region": "Australia",
"country": "Australia",
"city": "Sydney",
"amount": 4980,
"date": "2013-07-19"
}, {
"id": 10403,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 2580,
"date": "2013-07-04"
}, {
"id": 10404,
"region": "Africa",
"country": "South Africa",
"city": "Pretoria",
"amount": 2650,
"date": "2013-07-16"
}, {
"id": 10405,
"region": "Africa",
"country": "Egypt",
"city": "Cairo",
"amount": 1190,
"date": "2013-07-02"
}, {
"id": 10406,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 960,
"date": "2013-07-26"
}, {
"id": 10407,
"region": "North America",
"country": "United States",
"city": "New York",
"amount": 3600,
"date": "2013-08-08"
}, {
"id": 10408,
"region": "North America",
"country": "United States",
"city": "Los Angeles",
"amount": 2250,
"date": "2013-08-01"
}, {
"id": 10409,
"region": "North America",
"country": "United States",
"city": "Denver",
"amount": 1275,
"date": "2013-08-02"
}, {
"id": 10410,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 3885,
"date": "2013-08-14"
}, {
"id": 10411,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 1900,
"date": "2013-08-05"
}, {
"id": 10412,
"region": "South America",
"country": "Brazil",
"city": "Rio de Janeiro",
"amount": 2300,
"date": "2013-08-09"
}, {
"id": 10413,
"region": "South America",
"country": "Argentina",
"city": "Buenos Aires",
"amount": 2895,
"date": "2013-08-15"
}, {
"id": 10414,
"region": "South America",
"country": "Paraguay",
"city": "Asuncion",
"amount": 350,
"date": "2013-08-20"
}, {
"id": 10415,
"region": "Europe",
"country": "United Kingdom",
"city": "London",
"amount": 4200,
"date": "2013-08-22"
}, {
"id": 10416,
"region": "Europe",
"country": "Germany",
"city": "Berlin",
"amount": 7175,
"date": "2013-08-14"
}, {
"id": 10417,
"region": "Europe",
"country": "Spain",
"city": "Madrid",
"amount": 4420,
"date": "2013-08-24"
}, {
"id": 10418,
"region": "Europe",
"country": "Russian Federation",
"city": "Moscow",
"amount": 5200,
"date": "2013-08-21"
}, {
"id": 10419,
"region": "Asia",
"country": "China",
"city": "Beijing",
"amount": 7920,
"date": "2013-08-17"
}, {
"id": 10420,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 6990,
"date": "2013-08-22"
}, {
"id": 10421,
"region": "Asia",
"country": "Republic of Korea",
"city": "Seoul",
"amount": 2125,
"date": "2013-08-05"
}, {
"id": 10422,
"region": "Australia",
"country": "Australia",
"city": "Sydney",
"amount": 2220,
"date": "2013-08-16"
}, {
"id": 10423,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 1575,
"date": "2013-08-23"
}, {
"id": 10424,
"region": "Africa",
"country": "South Africa",
"city": "Pretoria",
"amount": 1880,
"date": "2013-08-12"
}, {
"id": 10425,
"region": "Africa",
"country": "Egypt",
"city": "Cairo",
"amount": 710,
"date": "2013-08-25"
}, {
"id": 10426,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 390,
"date": "2013-08-20"
}, {
"id": 10427,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 4635,
"date": "2013-08-04"
}, {
"id": 10428,
"region": "North America",
"country": "United States",
"city": "Denver",
"amount": 4350,
"date": "2013-08-19"
}, {
"id": 10429,
"region": "South America",
"country": "Brazil",
"city": "Rio de Janeiro",
"amount": 6020,
"date": "2013-08-02"
}, {
"id": 10430,
"region": "North America",
"country": "United States",
"city": "New York",
"amount": 3660,
"date": "2013-08-19"
}, {
"id": 10431,
"region": "North America",
"country": "United States",
"city": "Los Angeles",
"amount": 4525,
"date": "2013-08-24"
}, {
"id": 10432,
"region": "North America",
"country": "United States",
"city": "New York",
"amount": 4410,
"date": "2013-09-12"
}, {
"id": 10433,
"region": "North America",
"country": "United States",
"city": "Los Angeles",
"amount": 1725,
"date": "2013-09-07"
}, {
"id": 10434,
"region": "North America",
"country": "United States",
"city": "Denver",
"amount": 2715,
"date": "2013-09-14"
}, {
"id": 10435,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 2820,
"date": "2013-09-08"
}, {
"id": 10436,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 2310,
"date": "2013-09-12"
}, {
"id": 10437,
"region": "South America",
"country": "Brazil",
"city": "Rio de Janeiro",
"amount": 780,
"date": "2013-09-08"
}, {
"id": 10438,
"region": "South America",
"country": "Argentina",
"city": "Buenos Aires",
"amount": 2370,
"date": "2013-09-19"
}, {
"id": 10439,
"region": "South America",
"country": "Paraguay",
"city": "Asuncion",
"amount": 1410,
"date": "2013-09-09"
}, {
"id": 10440,
"region": "Europe",
"country": "United Kingdom",
"city": "London",
"amount": 1825,
"date": "2013-09-23"
}, {
"id": 10441,
"region": "Europe",
"country": "Germany",
"city": "Berlin",
"amount": 4075,
"date": "2013-09-06"
}, {
"id": 10442,
"region": "Europe",
"country": "Spain",
"city": "Madrid",
"amount": 1020,
"date": "2013-09-04"
}, {
"id": 10443,
"region": "Europe",
"country": "Russian Federation",
"city": "Moscow",
"amount": 4320,
"date": "2013-09-25"
}, {
"id": 10444,
"region": "Asia",
"country": "China",
"city": "Beijing",
"amount": 7530,
"date": "2013-09-13"
}, {
"id": 10445,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 2820,
"date": "2013-09-08"
}, {
"id": 10446,
"region": "Asia",
"country": "Republic of Korea",
"city": "Seoul",
"amount": 3050,
"date": "2013-09-04"
}, {
"id": 10447,
"region": "Australia",
"country": "Australia",
"city": "Sydney",
"amount": 5080,
"date": "2013-09-25"
}, {
"id": 10448,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 1125,
"date": "2013-09-13"
}, {
"id": 10449,
"region": "Africa",
"country": "South Africa",
"city": "Pretoria",
"amount": 850,
"date": "2013-09-24"
}, {
"id": 10450,
"region": "Africa",
"country": "Egypt",
"city": "Cairo",
"amount": 1440,
"date": "2013-09-19"
}, {
"id": 10451,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 1950,
"date": "2013-09-02"
}, {
"id": 10452,
"region": "North America",
"country": "United States",
"city": "New York",
"amount": 6390,
"date": "2013-10-11"
}, {
"id": 10453,
"region": "North America",
"country": "United States",
"city": "Los Angeles",
"amount": 4625,
"date": "2013-10-02"
}, {
"id": 10454,
"region": "North America",
"country": "United States",
"city": "Denver",
"amount": 3510,
"date": "2013-10-24"
}, {
"id": 10455,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 2730,
"date": "2013-10-15"
}, {
"id": 10456,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 2070,
"date": "2013-10-15"
}, {
"id": 10457,
"region": "South America",
"country": "Brazil",
"city": "Rio de Janeiro",
"amount": 2320,
"date": "2013-10-18"
}, {
"id": 10458,
"region": "South America",
"country": "Argentina",
"city": "Buenos Aires",
"amount": 4260,
"date": "2013-10-24"
}, {
"id": 10459,
"region": "South America",
"country": "Paraguay",
"city": "Asuncion",
"amount": 840,
"date": "2013-10-18"
}, {
"id": 10460,
"region": "Europe",
"country": "United Kingdom",
"city": "London",
"amount": 7300,
"date": "2013-10-24"
}, {
"id": 10461,
"region": "Europe",
"country": "Germany",
"city": "Berlin",
"amount": 5950,
"date": "2013-10-11"
}, {
"id": 10462,
"region": "Europe",
"country": "Spain",
"city": "Madrid",
"amount": 3220,
"date": "2013-10-25"
}, {
"id": 10463,
"region": "Europe",
"country": "Russian Federation",
"city": "Moscow",
"amount": 3480,
"date": "2013-10-08"
}, {
"id": 10464,
"region": "Asia",
"country": "China",
"city": "Beijing",
"amount": 4830,
"date": "2013-10-26"
}, {
"id": 10465,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 4470,
"date": "2013-10-05"
}, {
"id": 10466,
"region": "Asia",
"country": "Republic of Korea",
"city": "Seoul",
"amount": 3675,
"date": "2013-10-23"
}, {
"id": 10467,
"region": "Australia",
"country": "Australia",
"city": "Sydney",
"amount": 4260,
"date": "2013-10-01"
}, {
"id": 10468,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 4245,
"date": "2013-10-26"
}, {
"id": 10469,
"region": "Africa",
"country": "South Africa",
"city": "Pretoria",
"amount": 1470,
"date": "2013-10-01"
}, {
"id": 10470,
"region": "Africa",
"country": "Egypt",
"city": "Cairo",
"amount": 1810,
"date": "2013-10-02"
}, {
"id": 10471,
"region": "North America",
"country": "United States",
"city": "New York",
"amount": 600,
"date": "2013-10-23"
}, {
"id": 10472,
"region": "North America",
"country": "United States",
"city": "New York",
"amount": 7500,
"date": "2013-11-03"
}, {
"id": 10473,
"region": "North America",
"country": "United States",
"city": "Los Angeles",
"amount": 4625,
"date": "2013-11-02"
}, {
"id": 10474,
"region": "North America",
"country": "United States",
"city": "Denver",
"amount": 2625,
"date": "2013-11-09"
}, {
"id": 10475,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 1440,
"date": "2013-11-15"
}, {
"id": 10476,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 2420,
"date": "2013-11-15"
}, {
"id": 10477,
"region": "South America",
"country": "Brazil",
"city": "Rio de Janeiro",
"amount": 4180,
"date": "2013-11-15"
}, {
"id": 10478,
"region": "South America",
"country": "Argentina",
"city": "Buenos Aires",
"amount": 3720,
"date": "2013-11-25"
}, {
"id": 10479,
"region": "South America",
"country": "Paraguay",
"city": "Asuncion",
"amount": 2730,
"date": "2013-11-08"
}, {
"id": 10480,
"region": "Europe",
"country": "United Kingdom",
"city": "London",
"amount": 3775,
"date": "2013-11-17"
}, {
"id": 10481,
"region": "Europe",
"country": "Germany",
"city": "Berlin",
"amount": 3525,
"date": "2013-11-15"
}, {
"id": 10482,
"region": "Europe",
"country": "Spain",
"city": "Madrid",
"amount": 5320,
"date": "2013-11-08"
}, {
"id": 10483,
"region": "Europe",
"country": "Russian Federation",
"city": "Moscow",
"amount": 5340,
"date": "2013-11-13"
}, {
"id": 10484,
"region": "Asia",
"country": "China",
"city": "Beijing",
"amount": 8850,
"date": "2013-11-01"
}, {
"id": 10485,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 7050,
"date": "2013-11-14"
}, {
"id": 10486,
"region": "Asia",
"country": "Republic of Korea",
"city": "Seoul",
"amount": 4200,
"date": "2013-11-18"
}, {
"id": 10487,
"region": "Australia",
"country": "Australia",
"city": "Sydney",
"amount": 4960,
"date": "2013-11-04"
}, {
"id": 10488,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 2280,
"date": "2013-11-13"
}, {
"id": 10489,
"region": "Africa",
"country": "South Africa",
"city": "Pretoria",
"amount": 590,
"date": "2013-11-11"
}, {
"id": 10490,
"region": "Africa",
"country": "Egypt",
"city": "Cairo",
"amount": 810,
"date": "2013-11-12"
}, {
"id": 10491,
"region": "Europe",
"country": "United Kingdom",
"city": "London",
"amount": 2625,
"date": "2013-11-07"
}, {
"id": 10492,
"region": "North America",
"country": "United States",
"city": "New York",
"amount": 8280,
"date": "2013-12-01"
}, {
"id": 10493,
"region": "North America",
"country": "United States",
"city": "Los Angeles",
"amount": 5650,
"date": "2013-12-19"
}, {
"id": 10494,
"region": "North America",
"country": "United States",
"city": "Denver",
"amount": 2760,
"date": "2013-12-14"
}, {
"id": 10495,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 2670,
"date": "2013-12-03"
}, {
"id": 10496,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 2520,
"date": "2013-12-20"
}, {
"id": 10497,
"region": "South America",
"country": "Brazil",
"city": "Rio de Janeiro",
"amount": 4080,
"date": "2013-12-21"
}, {
"id": 10498,
"region": "South America",
"country": "Argentina",
"city": "Buenos Aires",
"amount": 4140,
"date": "2013-12-22"
}, {
"id": 10499,
"region": "South America",
"country": "Paraguay",
"city": "Asuncion",
"amount": 390,
"date": "2013-12-04"
}, {
"id": 10500,
"region": "Europe",
"country": "United Kingdom",
"city": "London",
"amount": 1400,
"date": "2013-12-19"
}, {
"id": 10501,
"region": "Europe",
"country": "Germany",
"city": "Berlin",
"amount": 7275,
"date": "2013-12-22"
}, {
"id": 10502,
"region": "Europe",
"country": "Spain",
"city": "Madrid",
"amount": 4100,
"date": "2013-12-20"
}, {
"id": 10503,
"region": "Europe",
"country": "Russian Federation",
"city": "Moscow",
"amount": 5520,
"date": "2013-12-25"
}, {
"id": 10504,
"region": "Asia",
"country": "China",
"city": "Beijing",
"amount": 9210,
"date": "2013-12-24"
}, {
"id": 10505,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 7290,
"date": "2013-12-05"
}, {
"id": 10506,
"region": "Asia",
"country": "Republic of Korea",
"city": "Seoul",
"amount": 625,
"date": "2013-12-22"
}, {
"id": 10507,
"region": "Australia",
"country": "Australia",
"city": "Sydney",
"amount": 4460,
"date": "2013-12-12"
}, {
"id": 10508,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 3825,
"date": "2013-12-13"
}, {
"id": 10509,
"region": "Africa",
"country": "South Africa",
"city": "Pretoria",
"amount": 2850,
"date": "2013-12-17"
}, {
"id": 10510,
"region": "Africa",
"country": "Egypt",
"city": "Cairo",
"amount": 2780,
"date": "2013-12-07"
}, {
"id": 10511,
"region": "North America",
"country": "United States",
"city": "New York",
"amount": 840,
"date": "2013-12-18"
}, {
"id": 10512,
"region": "Africa",
"country": "South Africa",
"city": "Pretoria",
"amount": 2970,
"date": "2013-12-23"
}, {
"id": 10513,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 945,
"date": "2013-12-06"
}, {
"id": 10514,
"region": "North America",
"country": "United States",
"city": "Denver",
"amount": 2625,
"date": "2013-12-04"
}, {
"id": 10515,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 390,
"date": "2013-12-01"
}, {
"id": 10516,
"region": "Asia",
"country": "China",
"city": "Beijing",
"amount": 2250,
"date": "2013-12-02"
}, {
"id": 10517,
"region": "North America",
"country": "United States",
"city": "New York",
"amount": 7710,
"date": "2014-01-18"
}, {
"id": 10518,
"region": "North America",
"country": "United States",
"city": "Los Angeles",
"amount": 7975,
"date": "2014-01-10"
}, {
"id": 10519,
"region": "North America",
"country": "United States",
"city": "Denver",
"amount": 3285,
"date": "2014-01-13"
}, {
"id": 10520,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 2580,
"date": "2014-01-22"
}, {
"id": 10521,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 2160,
"date": "2014-01-26"
}, {
"id": 10522,
"region": "South America",
"country": "Brazil",
"city": "Rio de Janeiro",
"amount": 1100,
"date": "2014-01-25"
}, {
"id": 10523,
"region": "South America",
"country": "Argentina",
"city": "Buenos Aires",
"amount": 4425,
"date": "2014-01-21"
}, {
"id": 10524,
"region": "South America",
"country": "Paraguay",
"city": "Asuncion",
"amount": 1360,
"date": "2014-01-22"
}, {
"id": 10525,
"region": "Europe",
"country": "United Kingdom",
"city": "London",
"amount": 3250,
"date": "2014-01-14"
}, {
"id": 10526,
"region": "Europe",
"country": "Germany",
"city": "Berlin",
"amount": 5550,
"date": "2014-01-21"
}, {
"id": 10527,
"region": "Europe",
"country": "Spain",
"city": "Madrid",
"amount": 2860,
"date": "2014-01-25"
}, {
"id": 10528,
"region": "Europe",
"country": "Russian Federation",
"city": "Moscow",
"amount": 5320,
"date": "2014-01-08"
}, {
"id": 10529,
"region": "Asia",
"country": "China",
"city": "Beijing",
"amount": 4050,
"date": "2014-01-14"
}, {
"id": 10530,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 3450,
"date": "2014-01-24"
}, {
"id": 10531,
"region": "Asia",
"country": "Republic of Korea",
"city": "Seoul",
"amount": 5425,
"date": "2014-01-11"
}, {
"id": 10532,
"region": "Australia",
"country": "Australia",
"city": "Sydney",
"amount": 4860,
"date": "2014-01-12"
}, {
"id": 10533,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 4695,
"date": "2014-01-16"
}, {
"id": 10534,
"region": "Africa",
"country": "South Africa",
"city": "Pretoria",
"amount": 610,
"date": "2014-01-05"
}, {
"id": 10535,
"region": "Africa",
"country": "Egypt",
"city": "Cairo",
"amount": 1580,
"date": "2014-01-15"
}, {
"id": 10536,
"region": "North America",
"country": "United States",
"city": "New York",
"amount": 3780,
"date": "2014-02-18"
}, {
"id": 10537,
"region": "North America",
"country": "United States",
"city": "Los Angeles",
"amount": 5400,
"date": "2014-02-21"
}, {
"id": 10538,
"region": "North America",
"country": "United States",
"city": "Denver",
"amount": 630,
"date": "2014-02-18"
}, {
"id": 10539,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 3960,
"date": "2014-02-04"
}, {
"id": 10540,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 2010,
"date": "2014-02-25"
}, {
"id": 10541,
"region": "South America",
"country": "Brazil",
"city": "Rio de Janeiro",
"amount": 5000,
"date": "2014-02-01"
}, {
"id": 10542,
"region": "South America",
"country": "Argentina",
"city": "Buenos Aires",
"amount": 1995,
"date": "2014-02-20"
}, {
"id": 10543,
"region": "South America",
"country": "Paraguay",
"city": "Asuncion",
"amount": 860,
"date": "2014-02-12"
}, {
"id": 10544,
"region": "Europe",
"country": "United Kingdom",
"city": "London",
"amount": 2150,
"date": "2014-02-10"
}, {
"id": 10545,
"region": "Europe",
"country": "Germany",
"city": "Berlin",
"amount": 4050,
"date": "2014-02-06"
}, {
"id": 10546,
"region": "Europe",
"country": "Spain",
"city": "Madrid",
"amount": 2960,
"date": "2014-02-18"
}, {
"id": 10547,
"region": "Europe",
"country": "Russian Federation",
"city": "Moscow",
"amount": 1780,
"date": "2014-02-26"
}, {
"id": 10548,
"region": "Asia",
"country": "China",
"city": "Beijing",
"amount": 8700,
"date": "2014-02-03"
}, {
"id": 10549,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 3390,
"date": "2014-02-03"
}, {
"id": 10550,
"region": "Asia",
"country": "Republic of Korea",
"city": "Seoul",
"amount": 4425,
"date": "2014-02-15"
}, {
"id": 10551,
"region": "Australia",
"country": "Australia",
"city": "Sydney",
"amount": 1180,
"date": "2014-02-23"
}, {
"id": 10552,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 360,
"date": "2014-02-08"
}, {
"id": 10553,
"region": "Africa",
"country": "South Africa",
"city": "Pretoria",
"amount": 2310,
"date": "2014-02-13"
}, {
"id": 10554,
"region": "Africa",
"country": "Egypt",
"city": "Cairo",
"amount": 1770,
"date": "2014-02-20"
}, {
"id": 10555,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 3060,
"date": "2014-02-26"
}, {
"id": 10556,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 1750,
"date": "2014-02-12"
}, {
"id": 10557,
"region": "North America",
"country": "United States",
"city": "New York",
"amount": 2280,
"date": "2014-03-09"
}, {
"id": 10558,
"region": "North America",
"country": "United States",
"city": "Los Angeles",
"amount": 7600,
"date": "2014-03-25"
}, {
"id": 10559,
"region": "North America",
"country": "United States",
"city": "Denver",
"amount": 1035,
"date": "2014-03-23"
}, {
"id": 10560,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 1245,
"date": "2014-03-01"
}, {
"id": 10561,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 2860,
"date": "2014-03-19"
}, {
"id": 10562,
"region": "South America",
"country": "Brazil",
"city": "Rio de Janeiro",
"amount": 440,
"date": "2014-03-19"
}, {
"id": 10563,
"region": "South America",
"country": "Argentina",
"city": "Buenos Aires",
"amount": 4665,
"date": "2014-03-02"
}, {
"id": 10564,
"region": "South America",
"country": "Paraguay",
"city": "Asuncion",
"amount": 2270,
"date": "2014-03-15"
}, {
"id": 10565,
"region": "Europe",
"country": "United Kingdom",
"city": "London",
"amount": 5000,
"date": "2014-03-09"
}, {
"id": 10566,
"region": "Europe",
"country": "Germany",
"city": "Berlin",
"amount": 5100,
"date": "2014-03-23"
}, {
"id": 10567,
"region": "Europe",
"country": "Spain",
"city": "Madrid",
"amount": 2120,
"date": "2014-03-11"
}, {
"id": 10568,
"region": "Europe",
"country": "Russian Federation",
"city": "Moscow",
"amount": 5140,
"date": "2014-03-05"
}, {
"id": 10569,
"region": "Asia",
"country": "China",
"city": "Beijing",
"amount": 6210,
"date": "2014-03-19"
}, {
"id": 10570,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 9510,
"date": "2014-03-19"
}, {
"id": 10571,
"region": "Asia",
"country": "Republic of Korea",
"city": "Seoul",
"amount": 7600,
"date": "2014-03-21"
}, {
"id": 10572,
"region": "Australia",
"country": "Australia",
"city": "Sydney",
"amount": 5420,
"date": "2014-03-15"
}, {
"id": 10573,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 1980,
"date": "2014-03-05"
}, {
"id": 10574,
"region": "Africa",
"country": "South Africa",
"city": "Pretoria",
"amount": 1820,
"date": "2014-03-07"
}, {
"id": 10575,
"region": "Africa",
"country": "Egypt",
"city": "Cairo",
"amount": 1670,
"date": "2014-03-21"
}, {
"id": 10576,
"region": "Europe",
"country": "Germany",
"city": "Berlin",
"amount": 4800,
"date": "2014-03-08"
}, {
"id": 10577,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 2925,
"date": "2014-03-03"
}, {
"id": 10578,
"region": "North America",
"country": "United States",
"city": "New York",
"amount": 2940,
"date": "2014-04-11"
}, {
"id": 10579,
"region": "North America",
"country": "United States",
"city": "Los Angeles",
"amount": 3525,
"date": "2014-04-13"
}, {
"id": 10580,
"region": "North America",
"country": "United States",
"city": "Denver",
"amount": 2475,
"date": "2014-04-22"
}, {
"id": 10581,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 3315,
"date": "2014-04-08"
}, {
"id": 10582,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 3140,
"date": "2014-04-07"
}, {
"id": 10583,
"region": "South America",
"country": "Brazil",
"city": "Rio de Janeiro",
"amount": 2520,
"date": "2014-04-01"
}, {
"id": 10584,
"region": "South America",
"country": "Argentina",
"city": "Buenos Aires",
"amount": 1200,
"date": "2014-04-10"
}, {
"id": 10585,
"region": "South America",
"country": "Paraguay",
"city": "Asuncion",
"amount": 2060,
"date": "2014-04-21"
}, {
"id": 10586,
"region": "Europe",
"country": "United Kingdom",
"city": "London",
"amount": 7875,
"date": "2014-04-02"
}, {
"id": 10587,
"region": "Europe",
"country": "Germany",
"city": "Berlin",
"amount": 1450,
"date": "2014-04-07"
}, {
"id": 10588,
"region": "Europe",
"country": "Spain",
"city": "Madrid",
"amount": 2640,
"date": "2014-04-22"
}, {
"id": 10589,
"region": "Europe",
"country": "Russian Federation",
"city": "Moscow",
"amount": 1960,
"date": "2014-04-16"
}, {
"id": 10590,
"region": "Asia",
"country": "China",
"city": "Beijing",
"amount": 2250,
"date": "2014-04-23"
}, {
"id": 10591,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 4500,
"date": "2014-04-05"
}, {
"id": 10592,
"region": "Asia",
"country": "Republic of Korea",
"city": "Seoul",
"amount": 5050,
"date": "2014-04-11"
}, {
"id": 10593,
"region": "Australia",
"country": "Australia",
"city": "Sydney",
"amount": 2940,
"date": "2014-04-02"
}, {
"id": 10594,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 2880,
"date": "2014-04-14"
}, {
"id": 10595,
"region": "Africa",
"country": "South Africa",
"city": "Pretoria",
"amount": 1050,
"date": "2014-04-19"
}, {
"id": 10596,
"region": "Africa",
"country": "Egypt",
"city": "Cairo",
"amount": 1850,
"date": "2014-04-02"
}, {
"id": 10597,
"region": "Europe",
"country": "Spain",
"city": "Madrid",
"amount": 3160,
"date": "2014-04-01"
}, {
"id": 10598,
"region": "Europe",
"country": "United Kingdom",
"city": "London",
"amount": 875,
"date": "2014-04-04"
}, {
"id": 10599,
"region": "Europe",
"country": "Russian Federation",
"city": "Moscow",
"amount": 3200,
"date": "2014-04-08"
}, {
"id": 10600,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 1380,
"date": "2014-04-21"
}, {
"id": 10601,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 3060,
"date": "2014-04-06"
}, {
"id": 10602,
"region": "North America",
"country": "United States",
"city": "New York",
"amount": 6690,
"date": "2014-05-19"
}, {
"id": 10603,
"region": "North America",
"country": "United States",
"city": "Los Angeles",
"amount": 4525,
"date": "2014-05-15"
}, {
"id": 10604,
"region": "North America",
"country": "United States",
"city": "Denver",
"amount": 4665,
"date": "2014-05-10"
}, {
"id": 10605,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 4530,
"date": "2014-05-18"
}, {
"id": 10606,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 1330,
"date": "2014-05-08"
}, {
"id": 10607,
"region": "South America",
"country": "Brazil",
"city": "Rio de Janeiro",
"amount": 1720,
"date": "2014-05-20"
}, {
"id": 10608,
"region": "South America",
"country": "Argentina",
"city": "Buenos Aires",
"amount": 3750,
"date": "2014-05-16"
}, {
"id": 10609,
"region": "South America",
"country": "Paraguay",
"city": "Asuncion",
"amount": 1290,
"date": "2014-05-10"
}, {
"id": 10610,
"region": "Europe",
"country": "United Kingdom",
"city": "London",
"amount": 4925,
"date": "2014-05-14"
}, {
"id": 10611,
"region": "Europe",
"country": "Germany",
"city": "Berlin",
"amount": 4300,
"date": "2014-05-22"
}, {
"id": 10612,
"region": "Europe",
"country": "Spain",
"city": "Madrid",
"amount": 5740,
"date": "2014-05-08"
}, {
"id": 10613,
"region": "Europe",
"country": "Russian Federation",
"city": "Moscow",
"amount": 3760,
"date": "2014-05-18"
}, {
"id": 10614,
"region": "Asia",
"country": "China",
"city": "Beijing",
"amount": 7920,
"date": "2014-05-22"
}, {
"id": 10615,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 1440,
"date": "2014-05-21"
}, {
"id": 10616,
"region": "Asia",
"country": "Republic of Korea",
"city": "Seoul",
"amount": 5975,
"date": "2014-05-25"
}, {
"id": 10617,
"region": "Australia",
"country": "Australia",
"city": "Sydney",
"amount": 4440,
"date": "2014-05-05"
}, {
"id": 10618,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 2310,
"date": "2014-05-24"
}, {
"id": 10619,
"region": "Africa",
"country": "South Africa",
"city": "Pretoria",
"amount": 2250,
"date": "2014-05-06"
}, {
"id": 10620,
"region": "Africa",
"country": "Egypt",
"city": "Cairo",
"amount": 2320,
"date": "2014-05-14"
}, {
"id": 10621,
"region": "Asia",
"country": "China",
"city": "Beijing",
"amount": 8370,
"date": "2014-05-06"
}, {
"id": 10622,
"region": "North America",
"country": "United States",
"city": "New York",
"amount": 5190,
"date": "2014-06-26"
}, {
"id": 10623,
"region": "North America",
"country": "United States",
"city": "Los Angeles",
"amount": 925,
"date": "2014-06-04"
}, {
"id": 10624,
"region": "North America",
"country": "United States",
"city": "Denver",
"amount": 3240,
"date": "2014-06-20"
}, {
"id": 10625,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 3180,
"date": "2014-06-23"
}, {
"id": 10626,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 780,
"date": "2014-06-13"
}, {
"id": 10627,
"region": "South America",
"country": "Brazil",
"city": "Rio de Janeiro",
"amount": 4680,
"date": "2014-06-08"
}, {
"id": 10628,
"region": "South America",
"country": "Argentina",
"city": "Buenos Aires",
"amount": 2475,
"date": "2014-06-25"
}, {
"id": 10629,
"region": "South America",
"country": "Paraguay",
"city": "Asuncion",
"amount": 1920,
"date": "2014-06-20"
}, {
"id": 10630,
"region": "Europe",
"country": "United Kingdom",
"city": "London",
"amount": 7500,
"date": "2014-06-25"
}, {
"id": 10631,
"region": "Europe",
"country": "Germany",
"city": "Berlin",
"amount": 5025,
"date": "2014-06-26"
}, {
"id": 10632,
"region": "Europe",
"country": "Spain",
"city": "Madrid",
"amount": 2400,
"date": "2014-06-08"
}, {
"id": 10633,
"region": "Europe",
"country": "Russian Federation",
"city": "Moscow",
"amount": 1720,
"date": "2014-06-09"
}, {
"id": 10634,
"region": "Asia",
"country": "China",
"city": "Beijing",
"amount": 2880,
"date": "2014-06-21"
}, {
"id": 10635,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 5430,
"date": "2014-06-03"
}, {
"id": 10636,
"region": "Asia",
"country": "Republic of Korea",
"city": "Seoul",
"amount": 4475,
"date": "2014-06-19"
}, {
"id": 10637,
"region": "Australia",
"country": "Australia",
"city": "Sydney",
"amount": 1420,
"date": "2014-06-20"
}, {
"id": 10638,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 2670,
"date": "2014-06-25"
}, {
"id": 10639,
"region": "Africa",
"country": "South Africa",
"city": "Pretoria",
"amount": 1930,
"date": "2014-06-02"
}, {
"id": 10640,
"region": "Africa",
"country": "Egypt",
"city": "Cairo",
"amount": 580,
"date": "2014-06-25"
}, {
"id": 10641,
"region": "Africa",
"country": "Egypt",
"city": "Cairo",
"amount": 1620,
"date": "2014-06-12"
}, {
"id": 10642,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 4530,
"date": "2014-06-02"
}, {
"id": 10643,
"region": "Europe",
"country": "Germany",
"city": "Berlin",
"amount": 6025,
"date": "2014-06-23"
}, {
"id": 10644,
"region": "North America",
"country": "United States",
"city": "New York",
"amount": 3540,
"date": "2014-07-21"
}, {
"id": 10645,
"region": "North America",
"country": "United States",
"city": "Los Angeles",
"amount": 3000,
"date": "2014-07-01"
}, {
"id": 10646,
"region": "North America",
"country": "United States",
"city": "Denver",
"amount": 3240,
"date": "2014-07-26"
}, {
"id": 10647,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 2265,
"date": "2014-07-22"
}, {
"id": 10648,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 400,
"date": "2014-07-09"
}, {
"id": 10649,
"region": "South America",
"country": "Brazil",
"city": "Rio de Janeiro",
"amount": 1460,
"date": "2014-07-08"
}, {
"id": 10650,
"region": "South America",
"country": "Argentina",
"city": "Buenos Aires",
"amount": 1620,
"date": "2014-07-18"
}, {
"id": 10651,
"region": "South America",
"country": "Paraguay",
"city": "Asuncion",
"amount": 2400,
"date": "2014-07-25"
}, {
"id": 10652,
"region": "Europe",
"country": "United Kingdom",
"city": "London",
"amount": 5275,
"date": "2014-07-04"
}, {
"id": 10653,
"region": "Europe",
"country": "Germany",
"city": "Berlin",
"amount": 4475,
"date": "2014-07-03"
}, {
"id": 10654,
"region": "Europe",
"country": "Spain",
"city": "Madrid",
"amount": 3980,
"date": "2014-07-21"
}, {
"id": 10655,
"region": "Europe",
"country": "Russian Federation",
"city": "Moscow",
"amount": 5240,
"date": "2014-07-11"
}, {
"id": 10656,
"region": "Asia",
"country": "China",
"city": "Beijing",
"amount": 1200,
"date": "2014-07-21"
}, {
"id": 10657,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 5700,
"date": "2014-07-18"
}, {
"id": 10658,
"region": "Asia",
"country": "Republic of Korea",
"city": "Seoul",
"amount": 5575,
"date": "2014-07-01"
}, {
"id": 10659,
"region": "Australia",
"country": "Australia",
"city": "Sydney",
"amount": 2160,
"date": "2014-07-02"
}, {
"id": 10660,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 960,
"date": "2014-07-09"
}, {
"id": 10661,
"region": "Africa",
"country": "South Africa",
"city": "Pretoria",
"amount": 1280,
"date": "2014-07-04"
}, {
"id": 10662,
"region": "Africa",
"country": "Egypt",
"city": "Cairo",
"amount": 1040,
"date": "2014-07-02"
}, {
"id": 10663,
"region": "Asia",
"country": "China",
"city": "Beijing",
"amount": 5520,
"date": "2014-07-21"
}, {
"id": 10664,
"region": "South America",
"country": "Paraguay",
"city": "Asuncion",
"amount": 1760,
"date": "2014-07-25"
}, {
"id": 10665,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 4080,
"date": "2014-07-07"
}, {
"id": 10666,
"region": "Africa",
"country": "Egypt",
"city": "Cairo",
"amount": 1000,
"date": "2014-07-21"
}, {
"id": 10667,
"region": "Asia",
"country": "China",
"city": "Beijing",
"amount": 3270,
"date": "2014-07-12"
}, {
"id": 10668,
"region": "North America",
"country": "United States",
"city": "New York",
"amount": 1770,
"date": "2014-08-23"
}, {
"id": 10669,
"region": "North America",
"country": "United States",
"city": "Los Angeles",
"amount": 2700,
"date": "2014-08-09"
}, {
"id": 10670,
"region": "North America",
"country": "United States",
"city": "Denver",
"amount": 2175,
"date": "2014-08-03"
}, {
"id": 10671,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 3375,
"date": "2014-08-11"
}, {
"id": 10672,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 2040,
"date": "2014-08-01"
}, {
"id": 10673,
"region": "South America",
"country": "Brazil",
"city": "Rio de Janeiro",
"amount": 3000,
"date": "2014-08-21"
}, {
"id": 10674,
"region": "South America",
"country": "Argentina",
"city": "Buenos Aires",
"amount": 3900,
"date": "2014-08-16"
}, {
"id": 10675,
"region": "South America",
"country": "Paraguay",
"city": "Asuncion",
"amount": 1370,
"date": "2014-08-20"
}, {
"id": 10676,
"region": "Europe",
"country": "United Kingdom",
"city": "London",
"amount": 5700,
"date": "2014-08-01"
}, {
"id": 10677,
"region": "Europe",
"country": "Germany",
"city": "Berlin",
"amount": 1275,
"date": "2014-08-22"
}, {
"id": 10678,
"region": "Europe",
"country": "Spain",
"city": "Madrid",
"amount": 4060,
"date": "2014-08-13"
}, {
"id": 10679,
"region": "Europe",
"country": "Russian Federation",
"city": "Moscow",
"amount": 2320,
"date": "2014-08-18"
}, {
"id": 10680,
"region": "Asia",
"country": "China",
"city": "Beijing",
"amount": 7590,
"date": "2014-08-24"
}, {
"id": 10681,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 4560,
"date": "2014-08-20"
}, {
"id": 10682,
"region": "Asia",
"country": "Republic of Korea",
"city": "Seoul",
"amount": 7575,
"date": "2014-08-20"
}, {
"id": 10683,
"region": "Australia",
"country": "Australia",
"city": "Sydney",
"amount": 700,
"date": "2014-08-25"
}, {
"id": 10684,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 2400,
"date": "2014-08-16"
}, {
"id": 10685,
"region": "Africa",
"country": "South Africa",
"city": "Pretoria",
"amount": 1390,
"date": "2014-08-15"
}, {
"id": 10686,
"region": "Africa",
"country": "Egypt",
"city": "Cairo",
"amount": 1320,
"date": "2014-08-09"
}, {
"id": 10687,
"region": "North America",
"country": "United States",
"city": "Denver",
"amount": 1680,
"date": "2014-08-09"
}, {
"id": 10688,
"region": "South America",
"country": "Argentina",
"city": "Buenos Aires",
"amount": 1500,
"date": "2014-08-11"
}, {
"id": 10689,
"region": "North America",
"country": "United States",
"city": "New York",
"amount": 6150,
"date": "2014-09-21"
}, {
"id": 10690,
"region": "North America",
"country": "United States",
"city": "Los Angeles",
"amount": 3675,
"date": "2014-09-02"
}, {
"id": 10691,
"region": "North America",
"country": "United States",
"city": "Denver",
"amount": 2250,
"date": "2014-09-05"
}, {
"id": 10692,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 3585,
"date": "2014-09-10"
}, {
"id": 10693,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 1470,
"date": "2014-09-01"
}, {
"id": 10694,
"region": "South America",
"country": "Brazil",
"city": "Rio de Janeiro",
"amount": 2260,
"date": "2014-09-02"
}, {
"id": 10695,
"region": "South America",
"country": "Argentina",
"city": "Buenos Aires",
"amount": 3765,
"date": "2014-09-03"
}, {
"id": 10696,
"region": "South America",
"country": "Paraguay",
"city": "Asuncion",
"amount": 1640,
"date": "2014-09-04"
}, {
"id": 10697,
"region": "Europe",
"country": "United Kingdom",
"city": "London",
"amount": 4475,
"date": "2014-09-09"
}, {
"id": 10698,
"region": "Europe",
"country": "Germany",
"city": "Berlin",
"amount": 5975,
"date": "2014-09-04"
}, {
"id": 10699,
"region": "Europe",
"country": "Spain",
"city": "Madrid",
"amount": 1100,
"date": "2014-09-16"
}, {
"id": 10700,
"region": "Europe",
"country": "Russian Federation",
"city": "Moscow",
"amount": 1320,
"date": "2014-09-18"
}, {
"id": 10701,
"region": "Asia",
"country": "China",
"city": "Beijing",
"amount": 8610,
"date": "2014-09-19"
}, {
"id": 10702,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 9210,
"date": "2014-09-09"
}, {
"id": 10703,
"region": "Asia",
"country": "Republic of Korea",
"city": "Seoul",
"amount": 3700,
"date": "2014-09-01"
}, {
"id": 10704,
"region": "Australia",
"country": "Australia",
"city": "Sydney",
"amount": 3620,
"date": "2014-09-19"
}, {
"id": 10705,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 4275,
"date": "2014-09-01"
}, {
"id": 10706,
"region": "Africa",
"country": "South Africa",
"city": "Pretoria",
"amount": 2370,
"date": "2014-09-03"
}, {
"id": 10707,
"region": "Africa",
"country": "Egypt",
"city": "Cairo",
"amount": 1870,
"date": "2014-09-10"
}, {
"id": 10708,
"region": "Africa",
"country": "South Africa",
"city": "Pretoria",
"amount": 2070,
"date": "2014-09-25"
}, {
"id": 10709,
"region": "Europe",
"country": "Germany",
"city": "Berlin",
"amount": 5025,
"date": "2014-09-19"
}, {
"id": 10710,
"region": "North America",
"country": "United States",
"city": "New York",
"amount": 1080,
"date": "2014-10-15"
}, {
"id": 10711,
"region": "North America",
"country": "United States",
"city": "Los Angeles",
"amount": 1400,
"date": "2014-10-22"
}, {
"id": 10712,
"region": "North America",
"country": "United States",
"city": "Denver",
"amount": 4260,
"date": "2014-10-01"
}, {
"id": 10713,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 2745,
"date": "2014-10-01"
}, {
"id": 10714,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 2920,
"date": "2014-10-23"
}, {
"id": 10715,
"region": "South America",
"country": "Brazil",
"city": "Rio de Janeiro",
"amount": 3520,
"date": "2014-10-11"
}, {
"id": 10716,
"region": "South America",
"country": "Argentina",
"city": "Buenos Aires",
"amount": 4035,
"date": "2014-10-20"
}, {
"id": 10717,
"region": "South America",
"country": "Paraguay",
"city": "Asuncion",
"amount": 1730,
"date": "2014-10-05"
}, {
"id": 10718,
"region": "Europe",
"country": "United Kingdom",
"city": "London",
"amount": 975,
"date": "2014-10-06"
}, {
"id": 10719,
"region": "Europe",
"country": "Germany",
"city": "Berlin",
"amount": 5700,
"date": "2014-10-06"
}, {
"id": 10720,
"region": "Europe",
"country": "Spain",
"city": "Madrid",
"amount": 5080,
"date": "2014-10-18"
}, {
"id": 10721,
"region": "Europe",
"country": "Russian Federation",
"city": "Moscow",
"amount": 2940,
"date": "2014-10-24"
}, {
"id": 10722,
"region": "Asia",
"country": "China",
"city": "Beijing",
"amount": 2670,
"date": "2014-10-04"
}, {
"id": 10723,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 1230,
"date": "2014-10-11"
}, {
"id": 10724,
"region": "Asia",
"country": "Republic of Korea",
"city": "Seoul",
"amount": 600,
"date": "2014-10-08"
}, {
"id": 10725,
"region": "Australia",
"country": "Australia",
"city": "Sydney",
"amount": 3700,
"date": "2014-10-08"
}, {
"id": 10726,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 3375,
"date": "2014-10-11"
}, {
"id": 10727,
"region": "Africa",
"country": "South Africa",
"city": "Pretoria",
"amount": 1500,
"date": "2014-10-17"
}, {
"id": 10728,
"region": "Africa",
"country": "Egypt",
"city": "Cairo",
"amount": 370,
"date": "2014-10-05"
}, {
"id": 10729,
"region": "South America",
"country": "Paraguay",
"city": "Asuncion",
"amount": 2340,
"date": "2014-10-16"
}, {
"id": 10730,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 1080,
"date": "2014-10-08"
}, {
"id": 10731,
"region": "Asia",
"country": "Republic of Korea",
"city": "Seoul",
"amount": 2775,
"date": "2014-10-21"
}, {
"id": 10732,
"region": "North America",
"country": "United States",
"city": "New York",
"amount": 4380,
"date": "2014-11-09"
}, {
"id": 10733,
"region": "North America",
"country": "United States",
"city": "Los Angeles",
"amount": 5500,
"date": "2014-11-21"
}, {
"id": 10734,
"region": "North America",
"country": "United States",
"city": "Denver",
"amount": 1920,
"date": "2014-11-24"
}, {
"id": 10735,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 765,
"date": "2014-11-24"
}, {
"id": 10736,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 370,
"date": "2014-11-18"
}, {
"id": 10737,
"region": "South America",
"country": "Brazil",
"city": "Rio de Janeiro",
"amount": 3500,
"date": "2014-11-25"
}, {
"id": 10738,
"region": "South America",
"country": "Argentina",
"city": "Buenos Aires",
"amount": 825,
"date": "2014-11-09"
}, {
"id": 10739,
"region": "South America",
"country": "Paraguay",
"city": "Asuncion",
"amount": 490,
"date": "2014-11-23"
}, {
"id": 10740,
"region": "Europe",
"country": "United Kingdom",
"city": "London",
"amount": 7075,
"date": "2014-11-20"
}, {
"id": 10741,
"region": "Europe",
"country": "Germany",
"city": "Berlin",
"amount": 1350,
"date": "2014-11-25"
}, {
"id": 10742,
"region": "Europe",
"country": "Spain",
"city": "Madrid",
"amount": 1440,
"date": "2014-11-15"
}, {
"id": 10743,
"region": "Europe",
"country": "Russian Federation",
"city": "Moscow",
"amount": 2820,
"date": "2014-11-13"
}, {
"id": 10744,
"region": "Asia",
"country": "China",
"city": "Beijing",
"amount": 2280,
"date": "2014-11-12"
}, {
"id": 10745,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 1110,
"date": "2014-11-03"
}, {
"id": 10746,
"region": "Asia",
"country": "Republic of Korea",
"city": "Seoul",
"amount": 1150,
"date": "2014-11-23"
}, {
"id": 10747,
"region": "Australia",
"country": "Australia",
"city": "Sydney",
"amount": 2040,
"date": "2014-11-20"
}, {
"id": 10748,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 3090,
"date": "2014-11-24"
}, {
"id": 10749,
"region": "Africa",
"country": "South Africa",
"city": "Pretoria",
"amount": 1940,
"date": "2014-11-24"
}, {
"id": 10750,
"region": "Africa",
"country": "Egypt",
"city": "Cairo",
"amount": 3090,
"date": "2014-11-16"
}, {
"id": 10751,
"region": "Asia",
"country": "Republic of Korea",
"city": "Seoul",
"amount": 4900,
"date": "2014-11-05"
}, {
"id": 10752,
"region": "North America",
"country": "United States",
"city": "Denver",
"amount": 3465,
"date": "2014-11-07"
}, {
"id": 10753,
"region": "Africa",
"country": "South Africa",
"city": "Pretoria",
"amount": 1110,
"date": "2014-11-20"
}, {
"id": 10754,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 1650,
"date": "2014-11-02"
}, {
"id": 10755,
"region": "North America",
"country": "United States",
"city": "New York",
"amount": 5280,
"date": "2014-12-04"
}, {
"id": 10756,
"region": "North America",
"country": "United States",
"city": "Los Angeles",
"amount": 3075,
"date": "2014-12-02"
}, {
"id": 10757,
"region": "North America",
"country": "United States",
"city": "Denver",
"amount": 690,
"date": "2014-12-07"
}, {
"id": 10758,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 1305,
"date": "2014-12-15"
}, {
"id": 10759,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 1970,
"date": "2014-12-01"
}, {
"id": 10760,
"region": "South America",
"country": "Brazil",
"city": "Rio de Janeiro",
"amount": 3760,
"date": "2014-12-18"
}, {
"id": 10761,
"region": "South America",
"country": "Argentina",
"city": "Buenos Aires",
"amount": 1920,
"date": "2014-12-22"
}, {
"id": 10762,
"region": "South America",
"country": "Paraguay",
"city": "Asuncion",
"amount": 1360,
"date": "2014-12-12"
}, {
"id": 10763,
"region": "Europe",
"country": "United Kingdom",
"city": "London",
"amount": 2525,
"date": "2014-12-06"
}, {
"id": 10764,
"region": "Europe",
"country": "Germany",
"city": "Berlin",
"amount": 5575,
"date": "2014-12-20"
}, {
"id": 10765,
"region": "Europe",
"country": "Spain",
"city": "Madrid",
"amount": 5560,
"date": "2014-12-10"
}, {
"id": 10766,
"region": "Europe",
"country": "Russian Federation",
"city": "Moscow",
"amount": 4880,
"date": "2014-12-13"
}, {
"id": 10767,
"region": "Asia",
"country": "China",
"city": "Beijing",
"amount": 8850,
"date": "2014-12-03"
}, {
"id": 10768,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 2820,
"date": "2014-12-10"
}, {
"id": 10769,
"region": "Asia",
"country": "Republic of Korea",
"city": "Seoul",
"amount": 4000,
"date": "2014-12-12"
}, {
"id": 10770,
"region": "Australia",
"country": "Australia",
"city": "Sydney",
"amount": 5820,
"date": "2014-12-02"
}, {
"id": 10771,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 1275,
"date": "2014-12-12"
}, {
"id": 10772,
"region": "Africa",
"country": "South Africa",
"city": "Pretoria",
"amount": 1310,
"date": "2014-12-01"
}, {
"id": 10773,
"region": "Africa",
"country": "Egypt",
"city": "Cairo",
"amount": 2180,
"date": "2014-12-26"
}, {
"id": 10774,
"region": "South America",
"country": "Argentina",
"city": "Buenos Aires",
"amount": 4470,
"date": "2014-12-17"
}, {
"id": 10775,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 2990,
"date": "2014-12-15"
}, {
"id": 10776,
"region": "Europe",
"country": "United Kingdom",
"city": "London",
"amount": 7650,
"date": "2014-12-18"
}, {
"id": 10777,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 780,
"date": "2014-12-02"
}, {
"id": 10778,
"region": "South America",
"country": "Paraguay",
"city": "Asuncion",
"amount": 2970,
"date": "2014-12-13"
}, {
"id": 10779,
"region": "South America",
"country": "Argentina",
"city": "Buenos Aires",
"amount": 1155,
"date": "2014-12-05"
}, {
"id": 10780,
"region": "North America",
"country": "United States",
"city": "New York",
"amount": 4470,
"date": "2015-01-10"
}, {
"id": 10781,
"region": "North America",
"country": "United States",
"city": "Los Angeles",
"amount": 1125,
"date": "2015-01-21"
}, {
"id": 10782,
"region": "North America",
"country": "United States",
"city": "Denver",
"amount": 645,
"date": "2015-01-17"
}, {
"id": 10783,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 675,
"date": "2015-01-05"
}, {
"id": 10784,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 2840,
"date": "2015-01-05"
}, {
"id": 10785,
"region": "South America",
"country": "Brazil",
"city": "Rio de Janeiro",
"amount": 2660,
"date": "2015-01-04"
}, {
"id": 10786,
"region": "South America",
"country": "Argentina",
"city": "Buenos Aires",
"amount": 4560,
"date": "2015-01-12"
}, {
"id": 10787,
"region": "South America",
"country": "Paraguay",
"city": "Asuncion",
"amount": 2880,
"date": "2015-01-20"
}, {
"id": 10788,
"region": "Europe",
"country": "United Kingdom",
"city": "London",
"amount": 500,
"date": "2015-01-02"
}, {
"id": 10789,
"region": "Europe",
"country": "Germany",
"city": "Berlin",
"amount": 3925,
"date": "2015-01-07"
}, {
"id": 10790,
"region": "Europe",
"country": "Spain",
"city": "Madrid",
"amount": 5660,
"date": "2015-01-18"
}, {
"id": 10791,
"region": "Europe",
"country": "Russian Federation",
"city": "Moscow",
"amount": 1460,
"date": "2015-01-22"
}, {
"id": 10792,
"region": "Asia",
"country": "China",
"city": "Beijing",
"amount": 5040,
"date": "2015-01-10"
}, {
"id": 10793,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 4830,
"date": "2015-01-13"
}, {
"id": 10794,
"region": "Asia",
"country": "Republic of Korea",
"city": "Seoul",
"amount": 3075,
"date": "2015-01-22"
}, {
"id": 10795,
"region": "Australia",
"country": "Australia",
"city": "Sydney",
"amount": 3120,
"date": "2015-01-14"
}, {
"id": 10796,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 3525,
"date": "2015-01-23"
}, {
"id": 10797,
"region": "Africa",
"country": "South Africa",
"city": "Pretoria",
"amount": 1930,
"date": "2015-01-09"
}, {
"id": 10798,
"region": "Africa",
"country": "Egypt",
"city": "Cairo",
"amount": 2890,
"date": "2015-01-02"
}, {
"id": 10799,
"region": "South America",
"country": "Argentina",
"city": "Buenos Aires",
"amount": 1545,
"date": "2015-01-17"
}, {
"id": 10800,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 3630,
"date": "2015-01-20"
}, {
"id": 10801,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 4035,
"date": "2015-01-14"
}, {
"id": 10802,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 345,
"date": "2015-01-06"
}, {
"id": 10803,
"region": "Asia",
"country": "Republic of Korea",
"city": "Seoul",
"amount": 7000,
"date": "2015-01-07"
}, {
"id": 10804,
"region": "North America",
"country": "United States",
"city": "New York",
"amount": 3060,
"date": "2015-02-13"
}, {
"id": 10805,
"region": "North America",
"country": "United States",
"city": "Los Angeles",
"amount": 6425,
"date": "2015-02-04"
}, {
"id": 10806,
"region": "North America",
"country": "United States",
"city": "Denver",
"amount": 615,
"date": "2015-02-22"
}, {
"id": 10807,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 1755,
"date": "2015-02-07"
}, {
"id": 10808,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 1540,
"date": "2015-02-21"
}, {
"id": 10809,
"region": "South America",
"country": "Brazil",
"city": "Rio de Janeiro",
"amount": 2820,
"date": "2015-02-24"
}, {
"id": 10810,
"region": "South America",
"country": "Argentina",
"city": "Buenos Aires",
"amount": 4305,
"date": "2015-02-10"
}, {
"id": 10811,
"region": "South America",
"country": "Paraguay",
"city": "Asuncion",
"amount": 1520,
"date": "2015-02-26"
}, {
"id": 10812,
"region": "Europe",
"country": "United Kingdom",
"city": "London",
"amount": 4725,
"date": "2015-02-18"
}, {
"id": 10813,
"region": "Europe",
"country": "Germany",
"city": "Berlin",
"amount": 6750,
"date": "2015-02-16"
}, {
"id": 10814,
"region": "Europe",
"country": "Spain",
"city": "Madrid",
"amount": 5540,
"date": "2015-02-07"
}, {
"id": 10815,
"region": "Europe",
"country": "Russian Federation",
"city": "Moscow",
"amount": 1880,
"date": "2015-02-24"
}, {
"id": 10816,
"region": "Asia",
"country": "China",
"city": "Beijing",
"amount": 6180,
"date": "2015-02-26"
}, {
"id": 10817,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 9300,
"date": "2015-02-03"
}, {
"id": 10818,
"region": "Asia",
"country": "Republic of Korea",
"city": "Seoul",
"amount": 3700,
"date": "2015-02-26"
}, {
"id": 10819,
"region": "Australia",
"country": "Australia",
"city": "Sydney",
"amount": 740,
"date": "2015-02-01"
}, {
"id": 10820,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 4755,
"date": "2015-02-23"
}, {
"id": 10821,
"region": "Africa",
"country": "South Africa",
"city": "Pretoria",
"amount": 2570,
"date": "2015-02-20"
}, {
"id": 10822,
"region": "Africa",
"country": "Egypt",
"city": "Cairo",
"amount": 2860,
"date": "2015-02-19"
}, {
"id": 10823,
"region": "North America",
"country": "United States",
"city": "New York",
"amount": 5430,
"date": "2015-03-21"
}, {
"id": 10824,
"region": "North America",
"country": "United States",
"city": "Los Angeles",
"amount": 4525,
"date": "2015-03-21"
}, {
"id": 10825,
"region": "North America",
"country": "United States",
"city": "Denver",
"amount": 1515,
"date": "2015-03-10"
}, {
"id": 10826,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 630,
"date": "2015-03-15"
}, {
"id": 10827,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 1310,
"date": "2015-03-01"
}, {
"id": 10828,
"region": "South America",
"country": "Brazil",
"city": "Rio de Janeiro",
"amount": 3200,
"date": "2015-03-17"
}, {
"id": 10829,
"region": "South America",
"country": "Argentina",
"city": "Buenos Aires",
"amount": 3945,
"date": "2015-03-20"
}, {
"id": 10830,
"region": "South America",
"country": "Paraguay",
"city": "Asuncion",
"amount": 2990,
"date": "2015-03-18"
}, {
"id": 10831,
"region": "Europe",
"country": "United Kingdom",
"city": "London",
"amount": 1125,
"date": "2015-03-22"
}, {
"id": 10832,
"region": "Europe",
"country": "Germany",
"city": "Berlin",
"amount": 7950,
"date": "2015-03-17"
}, {
"id": 10833,
"region": "Europe",
"country": "Spain",
"city": "Madrid",
"amount": 2960,
"date": "2015-03-25"
}, {
"id": 10834,
"region": "Europe",
"country": "Russian Federation",
"city": "Moscow",
"amount": 6300,
"date": "2015-03-20"
}, {
"id": 10835,
"region": "Asia",
"country": "China",
"city": "Beijing",
"amount": 8670,
"date": "2015-03-07"
}, {
"id": 10836,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 3930,
"date": "2015-03-23"
}, {
"id": 10837,
"region": "Asia",
"country": "Republic of Korea",
"city": "Seoul",
"amount": 6975,
"date": "2015-03-02"
}, {
"id": 10838,
"region": "Australia",
"country": "Australia",
"city": "Sydney",
"amount": 4220,
"date": "2015-03-17"
}, {
"id": 10839,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 3090,
"date": "2015-03-25"
}, {
"id": 10840,
"region": "Africa",
"country": "South Africa",
"city": "Pretoria",
"amount": 2380,
"date": "2015-03-01"
}, {
"id": 10841,
"region": "Africa",
"country": "Egypt",
"city": "Cairo",
"amount": 1510,
"date": "2015-03-07"
}, {
"id": 10842,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 1020,
"date": "2015-03-19"
}, {
"id": 10843,
"region": "Asia",
"country": "Republic of Korea",
"city": "Seoul",
"amount": 6700,
"date": "2015-03-26"
}, {
"id": 10844,
"region": "North America",
"country": "United States",
"city": "New York",
"amount": 4890,
"date": "2015-04-02"
}, {
"id": 10845,
"region": "North America",
"country": "United States",
"city": "Los Angeles",
"amount": 7225,
"date": "2015-04-13"
}, {
"id": 10846,
"region": "North America",
"country": "United States",
"city": "Denver",
"amount": 795,
"date": "2015-04-07"
}, {
"id": 10847,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 1785,
"date": "2015-04-03"
}, {
"id": 10848,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 1850,
"date": "2015-04-03"
}, {
"id": 10849,
"region": "South America",
"country": "Brazil",
"city": "Rio de Janeiro",
"amount": 5120,
"date": "2015-04-12"
}, {
"id": 10850,
"region": "South America",
"country": "Argentina",
"city": "Buenos Aires",
"amount": 615,
"date": "2015-04-07"
}, {
"id": 10851,
"region": "South America",
"country": "Paraguay",
"city": "Asuncion",
"amount": 2860,
"date": "2015-04-05"
}, {
"id": 10852,
"region": "Europe",
"country": "United Kingdom",
"city": "London",
"amount": 1525,
"date": "2015-04-24"
}, {
"id": 10853,
"region": "Europe",
"country": "Germany",
"city": "Berlin",
"amount": 7425,
"date": "2015-04-15"
}, {
"id": 10854,
"region": "Europe",
"country": "Spain",
"city": "Madrid",
"amount": 6080,
"date": "2015-04-13"
}, {
"id": 10855,
"region": "Europe",
"country": "Russian Federation",
"city": "Moscow",
"amount": 2940,
"date": "2015-04-04"
}, {
"id": 10856,
"region": "Asia",
"country": "China",
"city": "Beijing",
"amount": 5580,
"date": "2015-04-16"
}, {
"id": 10857,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 9390,
"date": "2015-04-19"
}, {
"id": 10858,
"region": "Asia",
"country": "Republic of Korea",
"city": "Seoul",
"amount": 3200,
"date": "2015-04-26"
}, {
"id": 10859,
"region": "Australia",
"country": "Australia",
"city": "Sydney",
"amount": 4380,
"date": "2015-04-05"
}, {
"id": 10860,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 4725,
"date": "2015-04-06"
}, {
"id": 10861,
"region": "Africa",
"country": "South Africa",
"city": "Pretoria",
"amount": 930,
"date": "2015-04-25"
}, {
"id": 10862,
"region": "Africa",
"country": "Egypt",
"city": "Cairo",
"amount": 1910,
"date": "2015-04-05"
}, {
"id": 10863,
"region": "Europe",
"country": "United Kingdom",
"city": "London",
"amount": 2725,
"date": "2015-04-16"
}, {
"id": 10864,
"region": "Australia",
"country": "Australia",
"city": "Sydney",
"amount": 4720,
"date": "2015-04-02"
}, {
"id": 10865,
"region": "Asia",
"country": "China",
"city": "Beijing",
"amount": 5190,
"date": "2015-04-10"
}, {
"id": 10866,
"region": "Africa",
"country": "South Africa",
"city": "Pretoria",
"amount": 2800,
"date": "2015-04-26"
}, {
"id": 10867,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 3780,
"date": "2015-04-24"
}, {
"id": 10868,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 2340,
"date": "2015-04-17"
}, {
"id": 10869,
"region": "North America",
"country": "United States",
"city": "New York",
"amount": 4830,
"date": "2015-05-12"
}, {
"id": 10870,
"region": "North America",
"country": "United States",
"city": "Los Angeles",
"amount": 2075,
"date": "2015-05-23"
}, {
"id": 10871,
"region": "North America",
"country": "United States",
"city": "Denver",
"amount": 3420,
"date": "2015-05-21"
}, {
"id": 10872,
"region": "North America",
"country": "Canada",
"city": "Vancouver",
"amount": 1440,
"date": "2015-05-10"
}, {
"id": 10873,
"region": "North America",
"country": "Canada",
"city": "Edmonton",
"amount": 1680,
"date": "2015-05-15"
}, {
"id": 10874,
"region": "South America",
"country": "Brazil",
"city": "Rio de Janeiro",
"amount": 3440,
"date": "2015-05-16"
}, {
"id": 10875,
"region": "South America",
"country": "Argentina",
"city": "Buenos Aires",
"amount": 4695,
"date": "2015-05-10"
}, {
"id": 10876,
"region": "South America",
"country": "Paraguay",
"city": "Asuncion",
"amount": 2380,
"date": "2015-05-06"
}, {
"id": 10877,
"region": "Europe",
"country": "United Kingdom",
"city": "London",
"amount": 1875,
"date": "2015-05-25"
}, {
"id": 10878,
"region": "Europe",
"country": "Germany",
"city": "Berlin",
"amount": 7550,
"date": "2015-05-14"
}, {
"id": 10879,
"region": "Europe",
"country": "Spain",
"city": "Madrid",
"amount": 3340,
"date": "2015-05-01"
}, {
"id": 10880,
"region": "Europe",
"country": "Russian Federation",
"city": "Moscow",
"amount": 1400,
"date": "2015-05-22"
}, {
"id": 10881,
"region": "Asia",
"country": "China",
"city": "Beijing",
"amount": 6060,
"date": "2015-05-22"
}, {
"id": 10882,
"region": "Asia",
"country": "Japan",
"city": "Tokyo",
"amount": 8370,
"date": "2015-05-13"
}, {
"id": 10883,
"region": "Asia",
"country": "Republic of Korea",
"city": "Seoul",
"amount": 3550,
"date": "2015-05-26"
}, {
"id": 10884,
"region": "Australia",
"country": "Australia",
"city": "Sydney",
"amount": 2620,
"date": "2015-05-17"
}, {
"id": 10885,
"region": "Australia",
"country": "Australia",
"city": "Melbourne",
"amount": 2400,
"date": "2015-05-21"
}, {
"id": 10886,
"region": "Africa",
"country": "South Africa",
"city": "Pretoria",
"amount": 1740,
"date": "2015-05-21"
}, {
"id": 10887,
"region": "Africa",
"country": "Egypt",
"city": "Cairo",
"amount": 500,
"date": "2015-05-26"
}, {
"id": 10888,
"region": "South America",
"country": "Argentina",
"city": "Buenos Aires",
"amount": 780,
"date": "2015-05-07"
}];

Running Totals
The PivotGrid can calculate running totals by rows or columns. Assign "row" or "column" to a field's runningTotal property to specify how running totals are calculated. This property is available only for data fields.
Running totals are calculated from scratch for each group within a row or column. You can assign true to the allowCrossGroupCalculation property to calculate running totals across all groups.
Feel free to share demo-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Backend API
<template>
<div>
<DxPivotGrid
id="sales"
:allow-sorting-by-summary="true"
:allow-sorting="true"
:allow-filtering="true"
:allow-expand-all="true"
:show-borders="true"
:data-source="dataSource"
:show-column-totals="false"
show-totals-prior="rows"
>
<DxFieldChooser :enabled="false"/>
<DxScrolling mode="virtual"/>
</DxPivotGrid>
</div>
</template>
<script>
import DxPivotGrid, {
DxFieldChooser,
DxScrolling,
} from 'devextreme-vue/pivot-grid';
import PivotGridDataSource from 'devextreme/ui/pivot_grid/data_source';
import sales from './data.js';
export default {
components: {
DxPivotGrid,
DxFieldChooser,
DxScrolling,
},
data() {
return {
allowCrossGroupCalculation: true,
dataSource: new PivotGridDataSource({
fields: [{
caption: 'Region',
width: 120,
dataField: 'region',
area: 'row',
}, {
caption: 'City',
dataField: 'city',
width: 150,
area: 'row',
}, {
dataField: 'date',
dataType: 'date',
area: 'column',
}, {
groupName: 'date',
groupInterval: 'year',
expanded: true,
}, {
groupName: 'date',
groupInterval: 'quarter',
expanded: true,
}, {
groupName: 'date',
groupInterval: 'month',
visible: false,
}, {
caption: 'Total',
dataField: 'amount',
dataType: 'number',
summaryType: 'sum',
format: 'currency',
area: 'data',
}, {
caption: 'Running Total',
dataField: 'amount',
dataType: 'number',
summaryType: 'sum',
format: 'currency',
area: 'data',
runningTotal: 'row',
allowCrossGroupCalculation: true,
}],
store: sales,
}),
};
},
};
</script>
<style scoped>
#sales {
margin: 20px 0;
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.1.5/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app" />
</div>
</body>
</html>
export default [{
id: 10248,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 1740,
date: '2013-01-06',
}, {
id: 10249,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 850,
date: '2013-01-13',
}, {
id: 10250,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2235,
date: '2013-01-07',
}, {
id: 10251,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1965,
date: '2013-01-03',
}, {
id: 10252,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 880,
date: '2013-01-10',
}, {
id: 10253,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 5260,
date: '2013-01-17',
}, {
id: 10254,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 2790,
date: '2013-01-21',
}, {
id: 10255,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 3140,
date: '2013-01-01',
}, {
id: 10256,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 6175,
date: '2013-01-24',
}, {
id: 10257,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 4575,
date: '2013-01-11',
}, {
id: 10258,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 3680,
date: '2013-01-12',
}, {
id: 10259,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 2260,
date: '2013-01-01',
}, {
id: 10260,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 2910,
date: '2013-01-26',
}, {
id: 10261,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 8400,
date: '2013-01-05',
}, {
id: 10262,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 1325,
date: '2013-01-14',
}, {
id: 10263,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 3920,
date: '2013-01-05',
}, {
id: 10264,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2220,
date: '2013-01-15',
}, {
id: 10265,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 940,
date: '2013-01-01',
}, {
id: 10266,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1630,
date: '2013-01-10',
}, {
id: 10267,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2910,
date: '2013-01-23',
}, {
id: 10268,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 2600,
date: '2013-01-14',
}, {
id: 10269,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 4340,
date: '2013-01-26',
}, {
id: 10270,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 6650,
date: '2013-01-24',
}, {
id: 10271,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 490,
date: '2013-01-22',
}, {
id: 10272,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 3390,
date: '2013-01-25',
}, {
id: 10273,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 5160,
date: '2013-02-20',
}, {
id: 10274,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 5750,
date: '2013-02-12',
}, {
id: 10275,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2805,
date: '2013-02-13',
}, {
id: 10276,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2505,
date: '2013-02-09',
}, {
id: 10277,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 930,
date: '2013-02-04',
}, {
id: 10278,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 1240,
date: '2013-02-03',
}, {
id: 10279,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 315,
date: '2013-02-04',
}, {
id: 10280,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2870,
date: '2013-02-18',
}, {
id: 10281,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 5150,
date: '2013-02-18',
}, {
id: 10282,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 2725,
date: '2013-02-20',
}, {
id: 10283,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 2840,
date: '2013-02-04',
}, {
id: 10284,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 5840,
date: '2013-02-13',
}, {
id: 10285,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 6750,
date: '2013-02-11',
}, {
id: 10286,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 1200,
date: '2013-02-03',
}, {
id: 10287,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 4550,
date: '2013-02-08',
}, {
id: 10288,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 6040,
date: '2013-02-17',
}, {
id: 10289,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2205,
date: '2013-02-08',
}, {
id: 10290,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 990,
date: '2013-02-20',
}, {
id: 10291,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 700,
date: '2013-02-11',
}, {
id: 10292,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2325,
date: '2013-02-15',
}, {
id: 10293,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 930,
date: '2013-02-21',
}, {
id: 10294,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1560,
date: '2013-02-04',
}, {
id: 10295,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 1740,
date: '2013-03-04',
}, {
id: 10296,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 3575,
date: '2013-03-20',
}, {
id: 10297,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 4500,
date: '2013-03-04',
}, {
id: 10298,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1605,
date: '2013-03-17',
}, {
id: 10299,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 800,
date: '2013-03-21',
}, {
id: 10300,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 640,
date: '2013-03-08',
}, {
id: 10301,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 735,
date: '2013-03-19',
}, {
id: 10302,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2520,
date: '2013-03-20',
}, {
id: 10303,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 6675,
date: '2013-03-18',
}, {
id: 10304,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 3625,
date: '2013-03-25',
}, {
id: 10305,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 1200,
date: '2013-03-07',
}, {
id: 10306,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 2000,
date: '2013-03-07',
}, {
id: 10307,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 1410,
date: '2013-03-10',
}, {
id: 10308,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 2700,
date: '2013-03-19',
}, {
id: 10309,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 5950,
date: '2013-03-24',
}, {
id: 10310,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 5120,
date: '2013-03-08',
}, {
id: 10311,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1980,
date: '2013-03-17',
}, {
id: 10312,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1110,
date: '2013-03-08',
}, {
id: 10313,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 980,
date: '2013-03-21',
}, {
id: 10314,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 5460,
date: '2013-03-19',
}, {
id: 10315,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 3800,
date: '2013-03-12',
}, {
id: 10316,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2610,
date: '2013-03-04',
}, {
id: 10317,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 3080,
date: '2013-03-22',
}, {
id: 10318,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 2010,
date: '2013-03-23',
}, {
id: 10319,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 1200,
date: '2013-03-04',
}, {
id: 10320,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 7680,
date: '2013-04-15',
}, {
id: 10321,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 1325,
date: '2013-04-07',
}, {
id: 10322,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2835,
date: '2013-04-10',
}, {
id: 10323,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 3660,
date: '2013-04-10',
}, {
id: 10324,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 390,
date: '2013-04-12',
}, {
id: 10325,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 4420,
date: '2013-04-08',
}, {
id: 10326,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1755,
date: '2013-04-13',
}, {
id: 10327,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2580,
date: '2013-04-15',
}, {
id: 10328,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 850,
date: '2013-04-01',
}, {
id: 10329,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 2825,
date: '2013-04-10',
}, {
id: 10330,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 540,
date: '2013-04-06',
}, {
id: 10331,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 1520,
date: '2013-04-08',
}, {
id: 10332,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 8760,
date: '2013-04-26',
}, {
id: 10333,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 1110,
date: '2013-04-16',
}, {
id: 10334,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 6850,
date: '2013-04-19',
}, {
id: 10335,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 1940,
date: '2013-04-23',
}, {
id: 10336,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1980,
date: '2013-04-21',
}, {
id: 10337,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 3090,
date: '2013-04-03',
}, {
id: 10338,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1640,
date: '2013-04-24',
}, {
id: 10339,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3585,
date: '2013-04-01',
}, {
id: 10340,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1770,
date: '2013-04-01',
}, {
id: 10341,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4005,
date: '2013-04-04',
}, {
id: 10342,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2870,
date: '2013-04-02',
}, {
id: 10343,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 960,
date: '2013-04-20',
}, {
id: 10344,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 8640,
date: '2013-05-14',
}, {
id: 10345,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 5450,
date: '2013-05-24',
}, {
id: 10346,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2535,
date: '2013-05-07',
}, {
id: 10347,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1155,
date: '2013-05-20',
}, {
id: 10348,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 3140,
date: '2013-05-18',
}, {
id: 10349,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 2260,
date: '2013-05-19',
}, {
id: 10350,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1215,
date: '2013-05-23',
}, {
id: 10351,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1210,
date: '2013-05-08',
}, {
id: 10352,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 875,
date: '2013-05-25',
}, {
id: 10353,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5400,
date: '2013-05-03',
}, {
id: 10354,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 5940,
date: '2013-05-25',
}, {
id: 10355,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 4700,
date: '2013-05-03',
}, {
id: 10356,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 5520,
date: '2013-05-12',
}, {
id: 10357,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 9210,
date: '2013-05-22',
}, {
id: 10358,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 7950,
date: '2013-05-12',
}, {
id: 10359,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 3740,
date: '2013-05-24',
}, {
id: 10360,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 990,
date: '2013-05-02',
}, {
id: 10361,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 3190,
date: '2013-05-03',
}, {
id: 10362,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 2430,
date: '2013-05-11',
}, {
id: 10363,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 7380,
date: '2013-06-15',
}, {
id: 10364,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 4475,
date: '2013-06-08',
}, {
id: 10365,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 1290,
date: '2013-06-10',
}, {
id: 10366,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2250,
date: '2013-06-10',
}, {
id: 10367,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 350,
date: '2013-06-22',
}, {
id: 10368,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 5480,
date: '2013-06-24',
}, {
id: 10369,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 2355,
date: '2013-06-10',
}, {
id: 10370,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1960,
date: '2013-06-23',
}, {
id: 10371,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 4125,
date: '2013-06-06',
}, {
id: 10372,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 7925,
date: '2013-06-12',
}, {
id: 10373,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 1120,
date: '2013-06-22',
}, {
id: 10374,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 5100,
date: '2013-06-01',
}, {
id: 10375,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 1500,
date: '2013-06-25',
}, {
id: 10376,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 5130,
date: '2013-06-10',
}, {
id: 10377,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 2475,
date: '2013-06-10',
}, {
id: 10378,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 2100,
date: '2013-06-06',
}, {
id: 10379,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3570,
date: '2013-06-10',
}, {
id: 10380,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 550,
date: '2013-06-02',
}, {
id: 10381,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 2850,
date: '2013-06-26',
}, {
id: 10382,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 4280,
date: '2013-06-19',
}, {
id: 10383,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 1460,
date: '2013-06-17',
}, {
id: 10384,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 960,
date: '2013-06-17',
}, {
id: 10385,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1520,
date: '2013-06-03',
}, {
id: 10386,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 6750,
date: '2013-06-21',
}, {
id: 10387,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 7260,
date: '2013-07-14',
}, {
id: 10388,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 2450,
date: '2013-07-11',
}, {
id: 10389,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 3540,
date: '2013-07-02',
}, {
id: 10390,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1950,
date: '2013-07-03',
}, {
id: 10391,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 360,
date: '2013-07-07',
}, {
id: 10392,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 4500,
date: '2013-07-03',
}, {
id: 10393,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4575,
date: '2013-07-21',
}, {
id: 10394,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2310,
date: '2013-07-18',
}, {
id: 10395,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 7500,
date: '2013-07-04',
}, {
id: 10396,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 3575,
date: '2013-07-23',
}, {
id: 10397,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 760,
date: '2013-07-01',
}, {
id: 10398,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 2400,
date: '2013-07-11',
}, {
id: 10399,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 3330,
date: '2013-07-04',
}, {
id: 10400,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 3480,
date: '2013-07-23',
}, {
id: 10401,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 4875,
date: '2013-07-11',
}, {
id: 10402,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4980,
date: '2013-07-19',
}, {
id: 10403,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2580,
date: '2013-07-04',
}, {
id: 10404,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2650,
date: '2013-07-16',
}, {
id: 10405,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1190,
date: '2013-07-02',
}, {
id: 10406,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 960,
date: '2013-07-26',
}, {
id: 10407,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 3600,
date: '2013-08-08',
}, {
id: 10408,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 2250,
date: '2013-08-01',
}, {
id: 10409,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 1275,
date: '2013-08-02',
}, {
id: 10410,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 3885,
date: '2013-08-14',
}, {
id: 10411,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1900,
date: '2013-08-05',
}, {
id: 10412,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 2300,
date: '2013-08-09',
}, {
id: 10413,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 2895,
date: '2013-08-15',
}, {
id: 10414,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 350,
date: '2013-08-20',
}, {
id: 10415,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 4200,
date: '2013-08-22',
}, {
id: 10416,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 7175,
date: '2013-08-14',
}, {
id: 10417,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 4420,
date: '2013-08-24',
}, {
id: 10418,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 5200,
date: '2013-08-21',
}, {
id: 10419,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 7920,
date: '2013-08-17',
}, {
id: 10420,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 6990,
date: '2013-08-22',
}, {
id: 10421,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 2125,
date: '2013-08-05',
}, {
id: 10422,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 2220,
date: '2013-08-16',
}, {
id: 10423,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1575,
date: '2013-08-23',
}, {
id: 10424,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1880,
date: '2013-08-12',
}, {
id: 10425,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 710,
date: '2013-08-25',
}, {
id: 10426,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 390,
date: '2013-08-20',
}, {
id: 10427,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4635,
date: '2013-08-04',
}, {
id: 10428,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 4350,
date: '2013-08-19',
}, {
id: 10429,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 6020,
date: '2013-08-02',
}, {
id: 10430,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 3660,
date: '2013-08-19',
}, {
id: 10431,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 4525,
date: '2013-08-24',
}, {
id: 10432,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 4410,
date: '2013-09-12',
}, {
id: 10433,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 1725,
date: '2013-09-07',
}, {
id: 10434,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2715,
date: '2013-09-14',
}, {
id: 10435,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2820,
date: '2013-09-08',
}, {
id: 10436,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2310,
date: '2013-09-12',
}, {
id: 10437,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 780,
date: '2013-09-08',
}, {
id: 10438,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 2370,
date: '2013-09-19',
}, {
id: 10439,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1410,
date: '2013-09-09',
}, {
id: 10440,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 1825,
date: '2013-09-23',
}, {
id: 10441,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 4075,
date: '2013-09-06',
}, {
id: 10442,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 1020,
date: '2013-09-04',
}, {
id: 10443,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 4320,
date: '2013-09-25',
}, {
id: 10444,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 7530,
date: '2013-09-13',
}, {
id: 10445,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 2820,
date: '2013-09-08',
}, {
id: 10446,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 3050,
date: '2013-09-04',
}, {
id: 10447,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 5080,
date: '2013-09-25',
}, {
id: 10448,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1125,
date: '2013-09-13',
}, {
id: 10449,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 850,
date: '2013-09-24',
}, {
id: 10450,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1440,
date: '2013-09-19',
}, {
id: 10451,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1950,
date: '2013-09-02',
}, {
id: 10452,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 6390,
date: '2013-10-11',
}, {
id: 10453,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 4625,
date: '2013-10-02',
}, {
id: 10454,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 3510,
date: '2013-10-24',
}, {
id: 10455,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2730,
date: '2013-10-15',
}, {
id: 10456,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2070,
date: '2013-10-15',
}, {
id: 10457,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 2320,
date: '2013-10-18',
}, {
id: 10458,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4260,
date: '2013-10-24',
}, {
id: 10459,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 840,
date: '2013-10-18',
}, {
id: 10460,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 7300,
date: '2013-10-24',
}, {
id: 10461,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5950,
date: '2013-10-11',
}, {
id: 10462,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 3220,
date: '2013-10-25',
}, {
id: 10463,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 3480,
date: '2013-10-08',
}, {
id: 10464,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 4830,
date: '2013-10-26',
}, {
id: 10465,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 4470,
date: '2013-10-05',
}, {
id: 10466,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 3675,
date: '2013-10-23',
}, {
id: 10467,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4260,
date: '2013-10-01',
}, {
id: 10468,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4245,
date: '2013-10-26',
}, {
id: 10469,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1470,
date: '2013-10-01',
}, {
id: 10470,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1810,
date: '2013-10-02',
}, {
id: 10471,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 600,
date: '2013-10-23',
}, {
id: 10472,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 7500,
date: '2013-11-03',
}, {
id: 10473,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 4625,
date: '2013-11-02',
}, {
id: 10474,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2625,
date: '2013-11-09',
}, {
id: 10475,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1440,
date: '2013-11-15',
}, {
id: 10476,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2420,
date: '2013-11-15',
}, {
id: 10477,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 4180,
date: '2013-11-15',
}, {
id: 10478,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 3720,
date: '2013-11-25',
}, {
id: 10479,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2730,
date: '2013-11-08',
}, {
id: 10480,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 3775,
date: '2013-11-17',
}, {
id: 10481,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 3525,
date: '2013-11-15',
}, {
id: 10482,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 5320,
date: '2013-11-08',
}, {
id: 10483,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 5340,
date: '2013-11-13',
}, {
id: 10484,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 8850,
date: '2013-11-01',
}, {
id: 10485,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 7050,
date: '2013-11-14',
}, {
id: 10486,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 4200,
date: '2013-11-18',
}, {
id: 10487,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4960,
date: '2013-11-04',
}, {
id: 10488,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2280,
date: '2013-11-13',
}, {
id: 10489,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 590,
date: '2013-11-11',
}, {
id: 10490,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 810,
date: '2013-11-12',
}, {
id: 10491,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 2625,
date: '2013-11-07',
}, {
id: 10492,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 8280,
date: '2013-12-01',
}, {
id: 10493,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 5650,
date: '2013-12-19',
}, {
id: 10494,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2760,
date: '2013-12-14',
}, {
id: 10495,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2670,
date: '2013-12-03',
}, {
id: 10496,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2520,
date: '2013-12-20',
}, {
id: 10497,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 4080,
date: '2013-12-21',
}, {
id: 10498,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4140,
date: '2013-12-22',
}, {
id: 10499,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 390,
date: '2013-12-04',
}, {
id: 10500,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 1400,
date: '2013-12-19',
}, {
id: 10501,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 7275,
date: '2013-12-22',
}, {
id: 10502,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 4100,
date: '2013-12-20',
}, {
id: 10503,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 5520,
date: '2013-12-25',
}, {
id: 10504,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 9210,
date: '2013-12-24',
}, {
id: 10505,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 7290,
date: '2013-12-05',
}, {
id: 10506,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 625,
date: '2013-12-22',
}, {
id: 10507,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4460,
date: '2013-12-12',
}, {
id: 10508,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3825,
date: '2013-12-13',
}, {
id: 10509,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2850,
date: '2013-12-17',
}, {
id: 10510,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 2780,
date: '2013-12-07',
}, {
id: 10511,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 840,
date: '2013-12-18',
}, {
id: 10512,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2970,
date: '2013-12-23',
}, {
id: 10513,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 945,
date: '2013-12-06',
}, {
id: 10514,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2625,
date: '2013-12-04',
}, {
id: 10515,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 390,
date: '2013-12-01',
}, {
id: 10516,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 2250,
date: '2013-12-02',
}, {
id: 10517,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 7710,
date: '2014-01-18',
}, {
id: 10518,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 7975,
date: '2014-01-10',
}, {
id: 10519,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 3285,
date: '2014-01-13',
}, {
id: 10520,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2580,
date: '2014-01-22',
}, {
id: 10521,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2160,
date: '2014-01-26',
}, {
id: 10522,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 1100,
date: '2014-01-25',
}, {
id: 10523,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4425,
date: '2014-01-21',
}, {
id: 10524,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1360,
date: '2014-01-22',
}, {
id: 10525,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 3250,
date: '2014-01-14',
}, {
id: 10526,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5550,
date: '2014-01-21',
}, {
id: 10527,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 2860,
date: '2014-01-25',
}, {
id: 10528,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 5320,
date: '2014-01-08',
}, {
id: 10529,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 4050,
date: '2014-01-14',
}, {
id: 10530,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 3450,
date: '2014-01-24',
}, {
id: 10531,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 5425,
date: '2014-01-11',
}, {
id: 10532,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4860,
date: '2014-01-12',
}, {
id: 10533,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4695,
date: '2014-01-16',
}, {
id: 10534,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 610,
date: '2014-01-05',
}, {
id: 10535,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1580,
date: '2014-01-15',
}, {
id: 10536,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 3780,
date: '2014-02-18',
}, {
id: 10537,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 5400,
date: '2014-02-21',
}, {
id: 10538,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 630,
date: '2014-02-18',
}, {
id: 10539,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 3960,
date: '2014-02-04',
}, {
id: 10540,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2010,
date: '2014-02-25',
}, {
id: 10541,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 5000,
date: '2014-02-01',
}, {
id: 10542,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1995,
date: '2014-02-20',
}, {
id: 10543,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 860,
date: '2014-02-12',
}, {
id: 10544,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 2150,
date: '2014-02-10',
}, {
id: 10545,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 4050,
date: '2014-02-06',
}, {
id: 10546,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 2960,
date: '2014-02-18',
}, {
id: 10547,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 1780,
date: '2014-02-26',
}, {
id: 10548,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 8700,
date: '2014-02-03',
}, {
id: 10549,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 3390,
date: '2014-02-03',
}, {
id: 10550,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 4425,
date: '2014-02-15',
}, {
id: 10551,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 1180,
date: '2014-02-23',
}, {
id: 10552,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 360,
date: '2014-02-08',
}, {
id: 10553,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2310,
date: '2014-02-13',
}, {
id: 10554,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1770,
date: '2014-02-20',
}, {
id: 10555,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 3060,
date: '2014-02-26',
}, {
id: 10556,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1750,
date: '2014-02-12',
}, {
id: 10557,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 2280,
date: '2014-03-09',
}, {
id: 10558,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 7600,
date: '2014-03-25',
}, {
id: 10559,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 1035,
date: '2014-03-23',
}, {
id: 10560,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1245,
date: '2014-03-01',
}, {
id: 10561,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2860,
date: '2014-03-19',
}, {
id: 10562,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 440,
date: '2014-03-19',
}, {
id: 10563,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4665,
date: '2014-03-02',
}, {
id: 10564,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2270,
date: '2014-03-15',
}, {
id: 10565,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 5000,
date: '2014-03-09',
}, {
id: 10566,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5100,
date: '2014-03-23',
}, {
id: 10567,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 2120,
date: '2014-03-11',
}, {
id: 10568,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 5140,
date: '2014-03-05',
}, {
id: 10569,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 6210,
date: '2014-03-19',
}, {
id: 10570,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 9510,
date: '2014-03-19',
}, {
id: 10571,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 7600,
date: '2014-03-21',
}, {
id: 10572,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 5420,
date: '2014-03-15',
}, {
id: 10573,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1980,
date: '2014-03-05',
}, {
id: 10574,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1820,
date: '2014-03-07',
}, {
id: 10575,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1670,
date: '2014-03-21',
}, {
id: 10576,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 4800,
date: '2014-03-08',
}, {
id: 10577,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2925,
date: '2014-03-03',
}, {
id: 10578,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 2940,
date: '2014-04-11',
}, {
id: 10579,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 3525,
date: '2014-04-13',
}, {
id: 10580,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2475,
date: '2014-04-22',
}, {
id: 10581,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 3315,
date: '2014-04-08',
}, {
id: 10582,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 3140,
date: '2014-04-07',
}, {
id: 10583,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 2520,
date: '2014-04-01',
}, {
id: 10584,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1200,
date: '2014-04-10',
}, {
id: 10585,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2060,
date: '2014-04-21',
}, {
id: 10586,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 7875,
date: '2014-04-02',
}, {
id: 10587,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 1450,
date: '2014-04-07',
}, {
id: 10588,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 2640,
date: '2014-04-22',
}, {
id: 10589,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 1960,
date: '2014-04-16',
}, {
id: 10590,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 2250,
date: '2014-04-23',
}, {
id: 10591,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 4500,
date: '2014-04-05',
}, {
id: 10592,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 5050,
date: '2014-04-11',
}, {
id: 10593,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 2940,
date: '2014-04-02',
}, {
id: 10594,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2880,
date: '2014-04-14',
}, {
id: 10595,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1050,
date: '2014-04-19',
}, {
id: 10596,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1850,
date: '2014-04-02',
}, {
id: 10597,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 3160,
date: '2014-04-01',
}, {
id: 10598,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 875,
date: '2014-04-04',
}, {
id: 10599,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 3200,
date: '2014-04-08',
}, {
id: 10600,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1380,
date: '2014-04-21',
}, {
id: 10601,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 3060,
date: '2014-04-06',
}, {
id: 10602,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 6690,
date: '2014-05-19',
}, {
id: 10603,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 4525,
date: '2014-05-15',
}, {
id: 10604,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 4665,
date: '2014-05-10',
}, {
id: 10605,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 4530,
date: '2014-05-18',
}, {
id: 10606,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1330,
date: '2014-05-08',
}, {
id: 10607,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 1720,
date: '2014-05-20',
}, {
id: 10608,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 3750,
date: '2014-05-16',
}, {
id: 10609,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1290,
date: '2014-05-10',
}, {
id: 10610,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 4925,
date: '2014-05-14',
}, {
id: 10611,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 4300,
date: '2014-05-22',
}, {
id: 10612,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 5740,
date: '2014-05-08',
}, {
id: 10613,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 3760,
date: '2014-05-18',
}, {
id: 10614,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 7920,
date: '2014-05-22',
}, {
id: 10615,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 1440,
date: '2014-05-21',
}, {
id: 10616,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 5975,
date: '2014-05-25',
}, {
id: 10617,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4440,
date: '2014-05-05',
}, {
id: 10618,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2310,
date: '2014-05-24',
}, {
id: 10619,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2250,
date: '2014-05-06',
}, {
id: 10620,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 2320,
date: '2014-05-14',
}, {
id: 10621,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 8370,
date: '2014-05-06',
}, {
id: 10622,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 5190,
date: '2014-06-26',
}, {
id: 10623,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 925,
date: '2014-06-04',
}, {
id: 10624,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 3240,
date: '2014-06-20',
}, {
id: 10625,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 3180,
date: '2014-06-23',
}, {
id: 10626,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 780,
date: '2014-06-13',
}, {
id: 10627,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 4680,
date: '2014-06-08',
}, {
id: 10628,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 2475,
date: '2014-06-25',
}, {
id: 10629,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1920,
date: '2014-06-20',
}, {
id: 10630,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 7500,
date: '2014-06-25',
}, {
id: 10631,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5025,
date: '2014-06-26',
}, {
id: 10632,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 2400,
date: '2014-06-08',
}, {
id: 10633,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 1720,
date: '2014-06-09',
}, {
id: 10634,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 2880,
date: '2014-06-21',
}, {
id: 10635,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 5430,
date: '2014-06-03',
}, {
id: 10636,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 4475,
date: '2014-06-19',
}, {
id: 10637,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 1420,
date: '2014-06-20',
}, {
id: 10638,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2670,
date: '2014-06-25',
}, {
id: 10639,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1930,
date: '2014-06-02',
}, {
id: 10640,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 580,
date: '2014-06-25',
}, {
id: 10641,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1620,
date: '2014-06-12',
}, {
id: 10642,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4530,
date: '2014-06-02',
}, {
id: 10643,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 6025,
date: '2014-06-23',
}, {
id: 10644,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 3540,
date: '2014-07-21',
}, {
id: 10645,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 3000,
date: '2014-07-01',
}, {
id: 10646,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 3240,
date: '2014-07-26',
}, {
id: 10647,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2265,
date: '2014-07-22',
}, {
id: 10648,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 400,
date: '2014-07-09',
}, {
id: 10649,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 1460,
date: '2014-07-08',
}, {
id: 10650,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1620,
date: '2014-07-18',
}, {
id: 10651,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2400,
date: '2014-07-25',
}, {
id: 10652,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 5275,
date: '2014-07-04',
}, {
id: 10653,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 4475,
date: '2014-07-03',
}, {
id: 10654,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 3980,
date: '2014-07-21',
}, {
id: 10655,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 5240,
date: '2014-07-11',
}, {
id: 10656,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 1200,
date: '2014-07-21',
}, {
id: 10657,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 5700,
date: '2014-07-18',
}, {
id: 10658,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 5575,
date: '2014-07-01',
}, {
id: 10659,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 2160,
date: '2014-07-02',
}, {
id: 10660,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 960,
date: '2014-07-09',
}, {
id: 10661,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1280,
date: '2014-07-04',
}, {
id: 10662,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1040,
date: '2014-07-02',
}, {
id: 10663,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 5520,
date: '2014-07-21',
}, {
id: 10664,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1760,
date: '2014-07-25',
}, {
id: 10665,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 4080,
date: '2014-07-07',
}, {
id: 10666,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1000,
date: '2014-07-21',
}, {
id: 10667,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 3270,
date: '2014-07-12',
}, {
id: 10668,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 1770,
date: '2014-08-23',
}, {
id: 10669,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 2700,
date: '2014-08-09',
}, {
id: 10670,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2175,
date: '2014-08-03',
}, {
id: 10671,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 3375,
date: '2014-08-11',
}, {
id: 10672,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2040,
date: '2014-08-01',
}, {
id: 10673,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 3000,
date: '2014-08-21',
}, {
id: 10674,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 3900,
date: '2014-08-16',
}, {
id: 10675,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1370,
date: '2014-08-20',
}, {
id: 10676,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 5700,
date: '2014-08-01',
}, {
id: 10677,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 1275,
date: '2014-08-22',
}, {
id: 10678,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 4060,
date: '2014-08-13',
}, {
id: 10679,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 2320,
date: '2014-08-18',
}, {
id: 10680,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 7590,
date: '2014-08-24',
}, {
id: 10681,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 4560,
date: '2014-08-20',
}, {
id: 10682,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 7575,
date: '2014-08-20',
}, {
id: 10683,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 700,
date: '2014-08-25',
}, {
id: 10684,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2400,
date: '2014-08-16',
}, {
id: 10685,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1390,
date: '2014-08-15',
}, {
id: 10686,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1320,
date: '2014-08-09',
}, {
id: 10687,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 1680,
date: '2014-08-09',
}, {
id: 10688,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1500,
date: '2014-08-11',
}, {
id: 10689,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 6150,
date: '2014-09-21',
}, {
id: 10690,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 3675,
date: '2014-09-02',
}, {
id: 10691,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2250,
date: '2014-09-05',
}, {
id: 10692,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 3585,
date: '2014-09-10',
}, {
id: 10693,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1470,
date: '2014-09-01',
}, {
id: 10694,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 2260,
date: '2014-09-02',
}, {
id: 10695,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 3765,
date: '2014-09-03',
}, {
id: 10696,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1640,
date: '2014-09-04',
}, {
id: 10697,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 4475,
date: '2014-09-09',
}, {
id: 10698,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5975,
date: '2014-09-04',
}, {
id: 10699,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 1100,
date: '2014-09-16',
}, {
id: 10700,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 1320,
date: '2014-09-18',
}, {
id: 10701,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 8610,
date: '2014-09-19',
}, {
id: 10702,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 9210,
date: '2014-09-09',
}, {
id: 10703,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 3700,
date: '2014-09-01',
}, {
id: 10704,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 3620,
date: '2014-09-19',
}, {
id: 10705,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4275,
date: '2014-09-01',
}, {
id: 10706,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2370,
date: '2014-09-03',
}, {
id: 10707,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1870,
date: '2014-09-10',
}, {
id: 10708,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2070,
date: '2014-09-25',
}, {
id: 10709,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5025,
date: '2014-09-19',
}, {
id: 10710,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 1080,
date: '2014-10-15',
}, {
id: 10711,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 1400,
date: '2014-10-22',
}, {
id: 10712,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 4260,
date: '2014-10-01',
}, {
id: 10713,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2745,
date: '2014-10-01',
}, {
id: 10714,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2920,
date: '2014-10-23',
}, {
id: 10715,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 3520,
date: '2014-10-11',
}, {
id: 10716,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4035,
date: '2014-10-20',
}, {
id: 10717,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1730,
date: '2014-10-05',
}, {
id: 10718,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 975,
date: '2014-10-06',
}, {
id: 10719,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5700,
date: '2014-10-06',
}, {
id: 10720,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 5080,
date: '2014-10-18',
}, {
id: 10721,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 2940,
date: '2014-10-24',
}, {
id: 10722,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 2670,
date: '2014-10-04',
}, {
id: 10723,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 1230,
date: '2014-10-11',
}, {
id: 10724,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 600,
date: '2014-10-08',
}, {
id: 10725,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 3700,
date: '2014-10-08',
}, {
id: 10726,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3375,
date: '2014-10-11',
}, {
id: 10727,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1500,
date: '2014-10-17',
}, {
id: 10728,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 370,
date: '2014-10-05',
}, {
id: 10729,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2340,
date: '2014-10-16',
}, {
id: 10730,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 1080,
date: '2014-10-08',
}, {
id: 10731,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 2775,
date: '2014-10-21',
}, {
id: 10732,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 4380,
date: '2014-11-09',
}, {
id: 10733,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 5500,
date: '2014-11-21',
}, {
id: 10734,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 1920,
date: '2014-11-24',
}, {
id: 10735,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 765,
date: '2014-11-24',
}, {
id: 10736,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 370,
date: '2014-11-18',
}, {
id: 10737,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 3500,
date: '2014-11-25',
}, {
id: 10738,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 825,
date: '2014-11-09',
}, {
id: 10739,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 490,
date: '2014-11-23',
}, {
id: 10740,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 7075,
date: '2014-11-20',
}, {
id: 10741,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 1350,
date: '2014-11-25',
}, {
id: 10742,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 1440,
date: '2014-11-15',
}, {
id: 10743,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 2820,
date: '2014-11-13',
}, {
id: 10744,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 2280,
date: '2014-11-12',
}, {
id: 10745,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 1110,
date: '2014-11-03',
}, {
id: 10746,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 1150,
date: '2014-11-23',
}, {
id: 10747,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 2040,
date: '2014-11-20',
}, {
id: 10748,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3090,
date: '2014-11-24',
}, {
id: 10749,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1940,
date: '2014-11-24',
}, {
id: 10750,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 3090,
date: '2014-11-16',
}, {
id: 10751,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 4900,
date: '2014-11-05',
}, {
id: 10752,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 3465,
date: '2014-11-07',
}, {
id: 10753,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1110,
date: '2014-11-20',
}, {
id: 10754,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1650,
date: '2014-11-02',
}, {
id: 10755,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 5280,
date: '2014-12-04',
}, {
id: 10756,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 3075,
date: '2014-12-02',
}, {
id: 10757,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 690,
date: '2014-12-07',
}, {
id: 10758,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1305,
date: '2014-12-15',
}, {
id: 10759,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1970,
date: '2014-12-01',
}, {
id: 10760,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 3760,
date: '2014-12-18',
}, {
id: 10761,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1920,
date: '2014-12-22',
}, {
id: 10762,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1360,
date: '2014-12-12',
}, {
id: 10763,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 2525,
date: '2014-12-06',
}, {
id: 10764,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5575,
date: '2014-12-20',
}, {
id: 10765,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 5560,
date: '2014-12-10',
}, {
id: 10766,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 4880,
date: '2014-12-13',
}, {
id: 10767,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 8850,
date: '2014-12-03',
}, {
id: 10768,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 2820,
date: '2014-12-10',
}, {
id: 10769,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 4000,
date: '2014-12-12',
}, {
id: 10770,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 5820,
date: '2014-12-02',
}, {
id: 10771,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1275,
date: '2014-12-12',
}, {
id: 10772,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1310,
date: '2014-12-01',
}, {
id: 10773,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 2180,
date: '2014-12-26',
}, {
id: 10774,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4470,
date: '2014-12-17',
}, {
id: 10775,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2990,
date: '2014-12-15',
}, {
id: 10776,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 7650,
date: '2014-12-18',
}, {
id: 10777,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 780,
date: '2014-12-02',
}, {
id: 10778,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2970,
date: '2014-12-13',
}, {
id: 10779,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1155,
date: '2014-12-05',
}, {
id: 10780,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 4470,
date: '2015-01-10',
}, {
id: 10781,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 1125,
date: '2015-01-21',
}, {
id: 10782,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 645,
date: '2015-01-17',
}, {
id: 10783,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 675,
date: '2015-01-05',
}, {
id: 10784,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2840,
date: '2015-01-05',
}, {
id: 10785,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 2660,
date: '2015-01-04',
}, {
id: 10786,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4560,
date: '2015-01-12',
}, {
id: 10787,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2880,
date: '2015-01-20',
}, {
id: 10788,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 500,
date: '2015-01-02',
}, {
id: 10789,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 3925,
date: '2015-01-07',
}, {
id: 10790,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 5660,
date: '2015-01-18',
}, {
id: 10791,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 1460,
date: '2015-01-22',
}, {
id: 10792,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 5040,
date: '2015-01-10',
}, {
id: 10793,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 4830,
date: '2015-01-13',
}, {
id: 10794,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 3075,
date: '2015-01-22',
}, {
id: 10795,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 3120,
date: '2015-01-14',
}, {
id: 10796,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3525,
date: '2015-01-23',
}, {
id: 10797,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1930,
date: '2015-01-09',
}, {
id: 10798,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 2890,
date: '2015-01-02',
}, {
id: 10799,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1545,
date: '2015-01-17',
}, {
id: 10800,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3630,
date: '2015-01-20',
}, {
id: 10801,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 4035,
date: '2015-01-14',
}, {
id: 10802,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 345,
date: '2015-01-06',
}, {
id: 10803,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 7000,
date: '2015-01-07',
}, {
id: 10804,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 3060,
date: '2015-02-13',
}, {
id: 10805,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 6425,
date: '2015-02-04',
}, {
id: 10806,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 615,
date: '2015-02-22',
}, {
id: 10807,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1755,
date: '2015-02-07',
}, {
id: 10808,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1540,
date: '2015-02-21',
}, {
id: 10809,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 2820,
date: '2015-02-24',
}, {
id: 10810,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4305,
date: '2015-02-10',
}, {
id: 10811,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1520,
date: '2015-02-26',
}, {
id: 10812,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 4725,
date: '2015-02-18',
}, {
id: 10813,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 6750,
date: '2015-02-16',
}, {
id: 10814,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 5540,
date: '2015-02-07',
}, {
id: 10815,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 1880,
date: '2015-02-24',
}, {
id: 10816,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 6180,
date: '2015-02-26',
}, {
id: 10817,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 9300,
date: '2015-02-03',
}, {
id: 10818,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 3700,
date: '2015-02-26',
}, {
id: 10819,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 740,
date: '2015-02-01',
}, {
id: 10820,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4755,
date: '2015-02-23',
}, {
id: 10821,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2570,
date: '2015-02-20',
}, {
id: 10822,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 2860,
date: '2015-02-19',
}, {
id: 10823,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 5430,
date: '2015-03-21',
}, {
id: 10824,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 4525,
date: '2015-03-21',
}, {
id: 10825,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 1515,
date: '2015-03-10',
}, {
id: 10826,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 630,
date: '2015-03-15',
}, {
id: 10827,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1310,
date: '2015-03-01',
}, {
id: 10828,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 3200,
date: '2015-03-17',
}, {
id: 10829,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 3945,
date: '2015-03-20',
}, {
id: 10830,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2990,
date: '2015-03-18',
}, {
id: 10831,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 1125,
date: '2015-03-22',
}, {
id: 10832,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 7950,
date: '2015-03-17',
}, {
id: 10833,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 2960,
date: '2015-03-25',
}, {
id: 10834,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 6300,
date: '2015-03-20',
}, {
id: 10835,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 8670,
date: '2015-03-07',
}, {
id: 10836,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 3930,
date: '2015-03-23',
}, {
id: 10837,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 6975,
date: '2015-03-02',
}, {
id: 10838,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4220,
date: '2015-03-17',
}, {
id: 10839,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3090,
date: '2015-03-25',
}, {
id: 10840,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2380,
date: '2015-03-01',
}, {
id: 10841,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1510,
date: '2015-03-07',
}, {
id: 10842,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 1020,
date: '2015-03-19',
}, {
id: 10843,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 6700,
date: '2015-03-26',
}, {
id: 10844,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 4890,
date: '2015-04-02',
}, {
id: 10845,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 7225,
date: '2015-04-13',
}, {
id: 10846,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 795,
date: '2015-04-07',
}, {
id: 10847,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1785,
date: '2015-04-03',
}, {
id: 10848,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1850,
date: '2015-04-03',
}, {
id: 10849,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 5120,
date: '2015-04-12',
}, {
id: 10850,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 615,
date: '2015-04-07',
}, {
id: 10851,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2860,
date: '2015-04-05',
}, {
id: 10852,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 1525,
date: '2015-04-24',
}, {
id: 10853,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 7425,
date: '2015-04-15',
}, {
id: 10854,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 6080,
date: '2015-04-13',
}, {
id: 10855,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 2940,
date: '2015-04-04',
}, {
id: 10856,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 5580,
date: '2015-04-16',
}, {
id: 10857,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 9390,
date: '2015-04-19',
}, {
id: 10858,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 3200,
date: '2015-04-26',
}, {
id: 10859,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4380,
date: '2015-04-05',
}, {
id: 10860,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4725,
date: '2015-04-06',
}, {
id: 10861,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 930,
date: '2015-04-25',
}, {
id: 10862,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1910,
date: '2015-04-05',
}, {
id: 10863,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 2725,
date: '2015-04-16',
}, {
id: 10864,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4720,
date: '2015-04-02',
}, {
id: 10865,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 5190,
date: '2015-04-10',
}, {
id: 10866,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2800,
date: '2015-04-26',
}, {
id: 10867,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 3780,
date: '2015-04-24',
}, {
id: 10868,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2340,
date: '2015-04-17',
}, {
id: 10869,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 4830,
date: '2015-05-12',
}, {
id: 10870,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 2075,
date: '2015-05-23',
}, {
id: 10871,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 3420,
date: '2015-05-21',
}, {
id: 10872,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1440,
date: '2015-05-10',
}, {
id: 10873,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1680,
date: '2015-05-15',
}, {
id: 10874,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 3440,
date: '2015-05-16',
}, {
id: 10875,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4695,
date: '2015-05-10',
}, {
id: 10876,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2380,
date: '2015-05-06',
}, {
id: 10877,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 1875,
date: '2015-05-25',
}, {
id: 10878,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 7550,
date: '2015-05-14',
}, {
id: 10879,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 3340,
date: '2015-05-01',
}, {
id: 10880,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 1400,
date: '2015-05-22',
}, {
id: 10881,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 6060,
date: '2015-05-22',
}, {
id: 10882,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 8370,
date: '2015-05-13',
}, {
id: 10883,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 3550,
date: '2015-05-26',
}, {
id: 10884,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 2620,
date: '2015-05-17',
}, {
id: 10885,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2400,
date: '2015-05-21',
}, {
id: 10886,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1740,
date: '2015-05-21',
}, {
id: 10887,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 500,
date: '2015-05-26',
}, {
id: 10888,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 780,
date: '2015-05-07',
}];
window.exports = window.exports || {};
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'root:': '../../../../../',
'npm:': 'https://unpkg.com/',
},
map: {
'vue': 'npm:vue@3.3.4/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.1/index.js',
'demo-ts-loader': 'root:utils/demo-ts-loader.js',
'svg-loader': 'root:utils/svg-loader.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@23.1.6/cjs',
'devextreme-vue': 'npm:devextreme-vue@23.1.6',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.6.2/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.2/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.49/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.4/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.12/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
System.config(window.config);

Pull down to refresh...
Release to refresh...
Refreshing...
-
Data Grid
- Overview
-
Data Binding
-
Paging and Scrolling
-
Editing
-
Grouping
-
Filtering and Sorting
- Focused Row
-
Row Drag & Drop
-
Selection
-
Columns
- State Persistence
-
Appearance
-
Templates
-
Data Summaries
-
Master-Detail
-
Export to PDF
-
Export to Excel
-
Adaptability
- Keyboard Navigation
-
Pivot Grid
- Overview
-
Data Binding
-
Field Chooser
-
Features
-
Export to Excel
-
Tree List
- Overview
-
Data Binding
- Sorting
- Paging
-
Editing
- Node Drag & Drop
- Focused Row
-
Selection
-
Filtering
-
Column Customization
- State Persistence
- Adaptability
- Keyboard Navigation
-
Scheduler
- Overview
-
Data Binding
-
Views
-
Features
- Virtual Scrolling
-
Grouping
-
Customization
- Adaptability
-
Html Editor
-
Chat
-
Diagram
- Overview
-
Data Binding
-
Featured Shapes
-
Custom Shapes
-
Document Capabilities
-
User Interaction
- UI Customization
- Adaptability
-
Charts
- Overview
-
Data Binding
-
Area Charts
-
Bar Charts
- Bullet Charts
-
Doughnut Charts
-
Financial Charts
-
Line Charts
-
Pie Charts
-
Point Charts
-
Polar and Radar Charts
-
Range Charts
-
Sparkline Charts
-
Tree Map
-
Funnel and Pyramid Charts
- Sankey Chart
-
Combinations
-
More Features
-
Export
-
Selection
-
Tooltips
-
Zooming
-
-
Gantt
- Overview
-
Data
-
UI Customization
- Strip Lines
- Export to PDF
- Sorting
-
Filtering
-
Gauges
- Overview
-
Data Binding
-
Bar Gauge
-
Circular Gauge
-
Linear Gauge
-
Navigation
- Overview
- Accordion
-
Menu
- Multi View
-
Drawer
-
Tab Panel
-
Tabs
-
Toolbar
- Pagination
-
Tree View
- Right-to-Left Support
-
Layout
-
Tile View
- Splitter
-
Gallery
- Scroll View
- Box
- Responsive Box
- Resizable
-
-
Editors
- Overview
- Autocomplete
-
Calendar
- Check Box
- Color Box
-
Date Box
-
Date Range Box
-
Drop Down Box
-
Number Box
-
Select Box
- Switch
-
Tag Box
- Text Area
- Text Box
- Validation
- Custom Text Editor Buttons
- Right-to-Left Support
- Editor Appearance Variants
-
Forms and Multi-Purpose
- Overview
- Button Group
- Field Set
-
Filter Builder
-
Form
- Radio Group
-
Range Selector
- Numeric Scale (Lightweight)
- Numeric Scale
- Date-Time Scale (Lightweight)
- Date-Time Scale
- Logarithmic Scale
- Discrete scale
- Custom Formatting
- Use Range Selection for Calculation
- Use Range Selection for Filtering
- Image on Background
- Chart on Background
- Customized Chart on Background
- Chart on Background with Series Template
- Range Slider
- Slider
-
Sortable
-
File Management
-
File Manager
- Overview
-
File System Types
-
Customization
-
File Uploader
-
-
Actions and Lists
- Overview
-
Action Sheet
-
Button
- Floating Action Button
- Drop Down Button
-
Context Menu
-
List
-
Lookup
-
Maps
- Overview
-
Map
-
Vector Map
-
Dialogs and Notifications
-
Localization
Related Demos:
Your search did not match any results.
Loading...
React Pivot Grid - Running Totals
The PivotGrid can calculate running totals by rows or columns. Assign "row" or "column" to a field's runningTotal property to specify how running totals are calculated. This property is available only for data fields.
Running totals are calculated from scratch for each group within a row or column. You can assign true to the allowCrossGroupCalculation property to calculate running totals across all groups.
To give you the ability to edit code on the fly, the demo uses SystemJS. For this reason, launching the demo takes some time. We strongly recommend that you do not use this approach in real projects.
Was this demo helpful?
Feel free to share demo-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Backend API
x
import React from 'react';
import PivotGrid, {
FieldChooser,
Scrolling,
} from 'devextreme-react/pivot-grid';
import PivotGridDataSource from 'devextreme/ui/pivot_grid/data_source';
import sales from './data.ts';
const App = () => (
<PivotGrid
id="sales"
dataSource={dataSource}
allowSortingBySummary={true}
allowSorting={true}
allowFiltering={true}
allowExpandAll={true}
showBorders={true}
showTotalsPrior="rows"
showColumnTotals={false}>
<FieldChooser enabled={false} />
<Scrolling mode="virtual" />
</PivotGrid>
);
const dataSource = new PivotGridDataSource({
fields: [{
caption: 'Region',
width: 120,
dataField: 'region',
area: 'row',
}, {
caption: 'City',
dataField: 'city',
width: 150,
area: 'row',
}, {
dataField: 'date',
dataType: 'date',
area: 'column',
}, {
groupName: 'date',
groupInterval: 'year',
expanded: true,
}, {
groupName: 'date',
groupInterval: 'quarter',
expanded: true,
}, {
groupName: 'date',
groupInterval: 'month',
visible: false,
}, {
caption: 'Total',
dataField: 'amount',
dataType: 'number',
summaryType: 'sum',
format: 'currency',
area: 'data',
}, {
caption: 'Running Total',
dataField: 'amount',
dataType: 'number',
summaryType: 'sum',
format: 'currency',
area: 'data',
runningTotal: 'row',
allowCrossGroupCalculation: true,
}],
store: sales,
});
export default App;
xxxxxxxxxx
xxxxxxxxxx
xxxxxxxxxx
xxxxxxxxxx
xxxxxxxxxx
xxxxxxxxxx
xxxxxxxxxx
xxxxxxxxxx

Backend API
<dx-pivot-grid
id="sales"
[allowSortingBySummary]="true"
[allowSorting]="true"
[allowFiltering]="true"
[allowExpandAll]="true"
[showColumnTotals]="false"
[showBorders]="true"
showTotalsPrior="rows"
[dataSource]="pivotGridDataSource"
>
<dxo-pivot-grid-field-chooser
[enabled]="false"
></dxo-pivot-grid-field-chooser>
</dx-pivot-grid>
import { bootstrapApplication } from '@angular/platform-browser';
import { Component, enableProdMode, provideZoneChangeDetection } from '@angular/core';
import { DxPivotGridModule } from 'devextreme-angular';
import { Options as DataSourceConfig } from 'devextreme/ui/pivot_grid/data_source';
import { Service } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
selector: 'demo-app',
templateUrl: `app/app.component.html`,
styleUrls: [`app/app.component.css`],
providers: [Service],
imports: [
DxPivotGridModule,
],
})
export class AppComponent {
pivotGridDataSource: DataSourceConfig;
constructor(service: Service) {
this.pivotGridDataSource = {
fields: [{
caption: 'Region',
width: 120,
dataField: 'region',
area: 'row',
}, {
caption: 'City',
dataField: 'city',
width: 150,
area: 'row',
}, {
dataField: 'date',
dataType: 'date',
area: 'column',
}, {
groupName: 'date',
groupInterval: 'year',
expanded: true,
}, {
groupName: 'date',
groupInterval: 'quarter',
expanded: true,
}, {
groupName: 'date',
groupInterval: 'month',
visible: false,
}, {
caption: 'Total',
dataField: 'amount',
dataType: 'number',
summaryType: 'sum',
format: 'currency',
area: 'data',
}, {
caption: 'Running Total',
dataField: 'amount',
dataType: 'number',
summaryType: 'sum',
format: 'currency',
area: 'data',
runningTotal: 'row',
allowCrossGroupCalculation: true,
}],
store: service.getSales(),
};
}
}
bootstrapApplication(AppComponent, {
providers: [
provideZoneChangeDetection({ eventCoalescing: true, runCoalescing: true }),
],
});
::ng-deep #sales {
margin: 20px 0;
}
import { Injectable } from '@angular/core';
export class Sale {
id: number;
region: string;
country: string;
city: string;
amount: number;
date: string;
}
const sales: Sale[] = [{
id: 10248,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 1740,
date: '2023-01-06',
}, {
id: 10249,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 850,
date: '2023-01-13',
}, {
id: 10250,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2235,
date: '2023-01-07',
}, {
id: 10251,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1965,
date: '2023-01-03',
}, {
id: 10252,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 880,
date: '2023-01-10',
}, {
id: 10253,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 5260,
date: '2023-01-17',
}, {
id: 10254,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 2790,
date: '2023-01-21',
}, {
id: 10255,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 3140,
date: '2023-01-01',
}, {
id: 10256,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 6175,
date: '2023-01-24',
}, {
id: 10257,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 4575,
date: '2023-01-11',
}, {
id: 10258,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 3680,
date: '2023-01-12',
}, {
id: 10259,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 8400,
date: '2023-01-05',
}, {
id: 10260,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 1325,
date: '2023-01-14',
}, {
id: 10261,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 3920,
date: '2023-01-05',
}, {
id: 10262,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2220,
date: '2023-01-15',
}, {
id: 10263,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 940,
date: '2023-01-01',
}, {
id: 10264,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1630,
date: '2023-01-10',
}, {
id: 10265,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2910,
date: '2023-01-23',
}, {
id: 10266,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 2600,
date: '2023-01-14',
}, {
id: 10267,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 4340,
date: '2023-01-26',
}, {
id: 10268,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 6650,
date: '2023-01-24',
}, {
id: 10269,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 490,
date: '2023-01-22',
}, {
id: 10270,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 3390,
date: '2023-01-25',
}, {
id: 10271,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 5160,
date: '2023-02-20',
}, {
id: 10272,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 5750,
date: '2023-02-12',
}, {
id: 10273,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2805,
date: '2023-02-13',
}, {
id: 10274,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2505,
date: '2023-02-09',
}, {
id: 10275,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 930,
date: '2023-02-04',
}, {
id: 10276,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 1240,
date: '2023-02-03',
}, {
id: 10277,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 315,
date: '2023-02-04',
}, {
id: 10278,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2870,
date: '2023-02-18',
}, {
id: 10279,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 5150,
date: '2023-02-18',
}, {
id: 10280,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 2725,
date: '2023-02-20',
}, {
id: 10281,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 2840,
date: '2023-02-04',
}, {
id: 10282,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 1200,
date: '2023-02-03',
}, {
id: 10283,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 4550,
date: '2023-02-08',
}, {
id: 10284,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 6040,
date: '2023-02-17',
}, {
id: 10285,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2205,
date: '2023-02-08',
}, {
id: 10286,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 990,
date: '2023-02-20',
}, {
id: 10287,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 700,
date: '2023-02-11',
}, {
id: 10288,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2325,
date: '2023-02-15',
}, {
id: 10289,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 930,
date: '2023-02-21',
}, {
id: 10290,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1560,
date: '2023-02-04',
}, {
id: 10291,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 1740,
date: '2023-03-04',
}, {
id: 10292,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 3575,
date: '2023-03-20',
}, {
id: 10293,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 4500,
date: '2023-03-04',
}, {
id: 10294,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1605,
date: '2023-03-17',
}, {
id: 10295,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 800,
date: '2023-03-21',
}, {
id: 10296,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 640,
date: '2023-03-08',
}, {
id: 10297,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 735,
date: '2023-03-19',
}, {
id: 10298,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2520,
date: '2023-03-20',
}, {
id: 10299,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 6675,
date: '2023-03-18',
}, {
id: 10300,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 3625,
date: '2023-03-25',
}, {
id: 10301,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 1200,
date: '2023-03-07',
}, {
id: 10302,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 2700,
date: '2023-03-19',
}, {
id: 10303,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 5950,
date: '2023-03-24',
}, {
id: 10304,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 5120,
date: '2023-03-08',
}, {
id: 10305,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1980,
date: '2023-03-17',
}, {
id: 10306,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1110,
date: '2023-03-08',
}, {
id: 10307,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 980,
date: '2023-03-21',
}, {
id: 10308,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 5460,
date: '2023-03-19',
}, {
id: 10309,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 3800,
date: '2023-03-12',
}, {
id: 10310,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2610,
date: '2023-03-04',
}, {
id: 10311,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 2010,
date: '2023-03-23',
}, {
id: 10312,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 7680,
date: '2023-04-15',
}, {
id: 10313,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 1325,
date: '2023-04-07',
}, {
id: 10314,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2835,
date: '2023-04-10',
}, {
id: 10315,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 3660,
date: '2023-04-10',
}, {
id: 10316,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 390,
date: '2023-04-12',
}, {
id: 10317,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 4420,
date: '2023-04-08',
}, {
id: 10318,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1755,
date: '2023-04-13',
}, {
id: 10319,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2580,
date: '2023-04-15',
}, {
id: 10320,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 850,
date: '2023-04-01',
}, {
id: 10321,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 2825,
date: '2023-04-10',
}, {
id: 10322,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 540,
date: '2023-04-06',
}, {
id: 10323,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 1110,
date: '2023-04-16',
}, {
id: 10324,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 6850,
date: '2023-04-19',
}, {
id: 10325,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 1940,
date: '2023-04-23',
}, {
id: 10326,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1980,
date: '2023-04-21',
}, {
id: 10327,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 3090,
date: '2023-04-03',
}, {
id: 10328,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1640,
date: '2023-04-24',
}, {
id: 10329,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3585,
date: '2023-04-01',
}, {
id: 10330,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1770,
date: '2023-04-01',
}, {
id: 10331,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4005,
date: '2023-04-04',
}, {
id: 10332,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2870,
date: '2023-04-02',
}, {
id: 10333,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 960,
date: '2023-04-20',
}, {
id: 10334,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 8640,
date: '2023-05-14',
}, {
id: 10335,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 5450,
date: '2023-05-24',
}, {
id: 10336,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2535,
date: '2023-05-07',
}, {
id: 10337,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1155,
date: '2023-05-20',
}, {
id: 10338,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 3140,
date: '2023-05-18',
}, {
id: 10339,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 2260,
date: '2023-05-19',
}, {
id: 10340,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1215,
date: '2023-05-23',
}, {
id: 10341,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1210,
date: '2023-05-08',
}, {
id: 10342,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 875,
date: '2023-05-25',
}, {
id: 10343,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5400,
date: '2023-05-03',
}, {
id: 10344,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 5940,
date: '2023-05-25',
}, {
id: 10345,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 9210,
date: '2023-05-22',
}, {
id: 10346,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 7950,
date: '2023-05-12',
}, {
id: 10347,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 3740,
date: '2023-05-24',
}, {
id: 10348,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 990,
date: '2023-05-02',
}, {
id: 10349,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 3190,
date: '2023-05-03',
}, {
id: 10350,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 2430,
date: '2023-05-11',
}, {
id: 10351,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 7380,
date: '2023-06-15',
}, {
id: 10352,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 4475,
date: '2023-06-08',
}, {
id: 10353,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 1290,
date: '2023-06-10',
}, {
id: 10354,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2250,
date: '2023-06-10',
}, {
id: 10355,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 350,
date: '2023-06-22',
}, {
id: 10356,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 5480,
date: '2023-06-24',
}, {
id: 10357,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 2355,
date: '2023-06-10',
}, {
id: 10358,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1960,
date: '2023-06-23',
}, {
id: 10359,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 4125,
date: '2023-06-06',
}, {
id: 10360,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 7925,
date: '2023-06-12',
}, {
id: 10361,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 1120,
date: '2023-06-22',
}, {
id: 10362,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 5130,
date: '2023-06-10',
}, {
id: 10363,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 2475,
date: '2023-06-10',
}, {
id: 10364,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 2100,
date: '2023-06-06',
}, {
id: 10365,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3570,
date: '2023-06-10',
}, {
id: 10366,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 550,
date: '2023-06-02',
}, {
id: 10367,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 2850,
date: '2023-06-26',
}, {
id: 10368,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 1460,
date: '2023-06-17',
}, {
id: 10369,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 960,
date: '2023-06-17',
}, {
id: 10370,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1520,
date: '2023-06-03',
}, {
id: 10371,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 6750,
date: '2023-06-21',
}, {
id: 10372,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 7260,
date: '2023-07-14',
}, {
id: 10373,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 2450,
date: '2023-07-11',
}, {
id: 10374,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 3540,
date: '2023-07-02',
}, {
id: 10375,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1950,
date: '2023-07-03',
}, {
id: 10376,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 360,
date: '2023-07-07',
}, {
id: 10377,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 4500,
date: '2023-07-03',
}, {
id: 10378,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4575,
date: '2023-07-21',
}, {
id: 10379,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2310,
date: '2023-07-18',
}, {
id: 10380,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 7500,
date: '2023-07-04',
}, {
id: 10381,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 3575,
date: '2023-07-23',
}, {
id: 10382,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 760,
date: '2023-07-01',
}, {
id: 10383,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 3480,
date: '2023-07-23',
}, {
id: 10384,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 4875,
date: '2023-07-11',
}, {
id: 10385,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4980,
date: '2023-07-19',
}, {
id: 10386,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2580,
date: '2023-07-04',
}, {
id: 10387,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2650,
date: '2023-07-16',
}, {
id: 10388,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1190,
date: '2023-07-02',
}, {
id: 10389,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 960,
date: '2023-07-26',
}, {
id: 10390,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 3600,
date: '2023-08-08',
}, {
id: 10391,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 2250,
date: '2023-08-01',
}, {
id: 10392,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 1275,
date: '2023-08-02',
}, {
id: 10393,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 3885,
date: '2023-08-14',
}, {
id: 10394,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1900,
date: '2023-08-05',
}, {
id: 10395,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 2300,
date: '2023-08-09',
}, {
id: 10396,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 2895,
date: '2023-08-15',
}, {
id: 10397,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 350,
date: '2023-08-20',
}, {
id: 10398,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 4200,
date: '2023-08-22',
}, {
id: 10399,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 7175,
date: '2023-08-14',
}, {
id: 10400,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 4420,
date: '2023-08-24',
}, {
id: 10401,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 6990,
date: '2023-08-22',
}, {
id: 10402,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 2125,
date: '2023-08-05',
}, {
id: 10403,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 2220,
date: '2023-08-16',
}, {
id: 10404,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1575,
date: '2023-08-23',
}, {
id: 10405,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1880,
date: '2023-08-12',
}, {
id: 10406,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 710,
date: '2023-08-25',
}, {
id: 10407,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 390,
date: '2023-08-20',
}, {
id: 10408,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4635,
date: '2023-08-04',
}, {
id: 10409,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 4350,
date: '2023-08-19',
}, {
id: 10410,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 6020,
date: '2023-08-02',
}, {
id: 10411,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 3660,
date: '2023-08-19',
}, {
id: 10412,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 4525,
date: '2023-08-24',
}, {
id: 10413,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 4410,
date: '2023-09-12',
}, {
id: 10414,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 1725,
date: '2023-09-07',
}, {
id: 10415,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2715,
date: '2023-09-14',
}, {
id: 10416,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2820,
date: '2023-09-08',
}, {
id: 10417,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2310,
date: '2023-09-12',
}, {
id: 10418,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 780,
date: '2023-09-08',
}, {
id: 10419,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 2370,
date: '2023-09-19',
}, {
id: 10420,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1410,
date: '2023-09-09',
}, {
id: 10421,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 1825,
date: '2023-09-23',
}, {
id: 10422,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 4075,
date: '2023-09-06',
}, {
id: 10423,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 1020,
date: '2023-09-04',
}, {
id: 10424,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 2820,
date: '2023-09-08',
}, {
id: 10425,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 3050,
date: '2023-09-04',
}, {
id: 10426,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 5080,
date: '2023-09-25',
}, {
id: 10427,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1125,
date: '2023-09-13',
}, {
id: 10428,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 850,
date: '2023-09-24',
}, {
id: 10429,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1440,
date: '2023-09-19',
}, {
id: 10430,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1950,
date: '2023-09-02',
}, {
id: 10431,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 6390,
date: '2023-10-11',
}, {
id: 10432,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 4625,
date: '2023-10-02',
}, {
id: 10433,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 3510,
date: '2023-10-24',
}, {
id: 10434,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2730,
date: '2023-10-15',
}, {
id: 10435,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2070,
date: '2023-10-15',
}, {
id: 10436,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 2320,
date: '2023-10-18',
}, {
id: 10437,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4260,
date: '2023-10-24',
}, {
id: 10438,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 840,
date: '2023-10-18',
}, {
id: 10439,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 7300,
date: '2023-10-24',
}, {
id: 10440,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5950,
date: '2023-10-11',
}, {
id: 10441,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 3220,
date: '2023-10-25',
}, {
id: 10442,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 4470,
date: '2023-10-05',
}, {
id: 10443,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 3675,
date: '2023-10-23',
}, {
id: 10444,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4260,
date: '2023-10-01',
}, {
id: 10445,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4245,
date: '2023-10-26',
}, {
id: 10446,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1470,
date: '2023-10-01',
}, {
id: 10447,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1810,
date: '2023-10-02',
}, {
id: 10448,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 600,
date: '2023-10-23',
}, {
id: 10449,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 7500,
date: '2023-11-03',
}, {
id: 10450,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 4625,
date: '2023-11-02',
}, {
id: 10451,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2625,
date: '2023-11-09',
}, {
id: 10452,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1440,
date: '2023-11-15',
}, {
id: 10453,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2420,
date: '2023-11-15',
}, {
id: 10454,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 4180,
date: '2023-11-15',
}, {
id: 10455,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 3720,
date: '2023-11-25',
}, {
id: 10456,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2730,
date: '2023-11-08',
}, {
id: 10457,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 3775,
date: '2023-11-17',
}, {
id: 10458,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 3525,
date: '2023-11-15',
}, {
id: 10459,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 5320,
date: '2023-11-08',
}, {
id: 10460,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 7050,
date: '2023-11-14',
}, {
id: 10461,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 4200,
date: '2023-11-18',
}, {
id: 10462,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4960,
date: '2023-11-04',
}, {
id: 10463,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2280,
date: '2023-11-13',
}, {
id: 10464,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 590,
date: '2023-11-11',
}, {
id: 10465,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 810,
date: '2023-11-12',
}, {
id: 10466,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 2625,
date: '2023-11-07',
}, {
id: 10467,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 8280,
date: '2023-12-01',
}, {
id: 10468,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 5650,
date: '2023-12-19',
}, {
id: 10469,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2760,
date: '2023-12-14',
}, {
id: 10470,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2670,
date: '2023-12-03',
}, {
id: 10471,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2520,
date: '2023-12-20',
}, {
id: 10472,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 4080,
date: '2023-12-21',
}, {
id: 10473,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4140,
date: '2023-12-22',
}, {
id: 10474,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 390,
date: '2023-12-04',
}, {
id: 10475,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 1400,
date: '2023-12-19',
}, {
id: 10476,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 7275,
date: '2023-12-22',
}, {
id: 10477,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 4100,
date: '2023-12-20',
}, {
id: 10478,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 7290,
date: '2023-12-05',
}, {
id: 10479,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 625,
date: '2023-12-22',
}, {
id: 10480,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4460,
date: '2023-12-12',
}, {
id: 10481,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3825,
date: '2023-12-13',
}, {
id: 10482,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2850,
date: '2023-12-17',
}, {
id: 10483,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 2780,
date: '2023-12-07',
}, {
id: 10484,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 840,
date: '2023-12-18',
}, {
id: 10485,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2970,
date: '2023-12-23',
}, {
id: 10486,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 945,
date: '2023-12-06',
}, {
id: 10487,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2625,
date: '2023-12-04',
}, {
id: 10488,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 390,
date: '2023-12-01',
}, {
id: 10489,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 7710,
date: '2024-01-18',
}, {
id: 10490,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 7975,
date: '2024-01-10',
}, {
id: 10491,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 3285,
date: '2024-01-13',
}, {
id: 10492,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2580,
date: '2024-01-22',
}, {
id: 10493,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2160,
date: '2024-01-26',
}, {
id: 10494,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 1100,
date: '2024-01-25',
}, {
id: 10495,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4425,
date: '2024-01-21',
}, {
id: 10496,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1360,
date: '2024-01-22',
}, {
id: 10497,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 3250,
date: '2024-01-14',
}, {
id: 10498,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5550,
date: '2024-01-21',
}, {
id: 10499,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 2860,
date: '2024-01-25',
}, {
id: 10500,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 3450,
date: '2024-01-24',
}, {
id: 10501,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 5425,
date: '2024-01-11',
}, {
id: 10502,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4860,
date: '2024-01-12',
}, {
id: 10503,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4695,
date: '2024-01-16',
}, {
id: 10504,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 610,
date: '2024-01-05',
}, {
id: 10505,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1580,
date: '2024-01-15',
}, {
id: 10506,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 3780,
date: '2024-02-18',
}, {
id: 10507,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 5400,
date: '2024-02-21',
}, {
id: 10508,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 630,
date: '2024-02-18',
}, {
id: 10509,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 3960,
date: '2024-02-04',
}, {
id: 10510,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2010,
date: '2024-02-25',
}, {
id: 10511,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 5000,
date: '2024-02-01',
}, {
id: 10512,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1995,
date: '2024-02-20',
}, {
id: 10513,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 860,
date: '2024-02-12',
}, {
id: 10514,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 2150,
date: '2024-02-10',
}, {
id: 10515,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 4050,
date: '2024-02-06',
}, {
id: 10516,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 2960,
date: '2024-02-18',
}, {
id: 10517,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 3390,
date: '2024-02-03',
}, {
id: 10518,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 4425,
date: '2024-02-15',
}, {
id: 10519,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 1180,
date: '2024-02-23',
}, {
id: 10520,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 360,
date: '2024-02-08',
}, {
id: 10521,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2310,
date: '2024-02-13',
}, {
id: 10522,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1770,
date: '2024-02-20',
}, {
id: 10523,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 3060,
date: '2024-02-26',
}, {
id: 10524,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1750,
date: '2024-02-12',
}, {
id: 10525,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 2280,
date: '2024-03-09',
}, {
id: 10526,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 7600,
date: '2024-03-25',
}, {
id: 10527,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 1035,
date: '2024-03-23',
}, {
id: 10528,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1245,
date: '2024-03-01',
}, {
id: 10529,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2860,
date: '2024-03-19',
}, {
id: 10530,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 440,
date: '2024-03-19',
}, {
id: 10531,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4665,
date: '2024-03-02',
}, {
id: 10532,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2270,
date: '2024-03-15',
}, {
id: 10533,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 5000,
date: '2024-03-09',
}, {
id: 10534,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5100,
date: '2024-03-23',
}, {
id: 10535,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 2120,
date: '2024-03-11',
}, {
id: 10536,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 9510,
date: '2024-03-19',
}, {
id: 10537,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 7600,
date: '2024-03-21',
}, {
id: 10538,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 5420,
date: '2024-03-15',
}, {
id: 10539,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1980,
date: '2024-03-05',
}, {
id: 10540,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1820,
date: '2024-03-07',
}, {
id: 10541,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1670,
date: '2024-03-21',
}, {
id: 10542,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 4800,
date: '2024-03-08',
}, {
id: 10543,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2925,
date: '2024-03-03',
}, {
id: 10544,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 2940,
date: '2024-04-11',
}, {
id: 10545,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 3525,
date: '2024-04-13',
}, {
id: 10546,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2475,
date: '2024-04-22',
}, {
id: 10547,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 3315,
date: '2024-04-08',
}, {
id: 10548,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 3140,
date: '2024-04-07',
}, {
id: 10549,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 2520,
date: '2024-04-01',
}, {
id: 10550,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1200,
date: '2024-04-10',
}, {
id: 10551,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2060,
date: '2024-04-21',
}, {
id: 10552,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 7875,
date: '2024-04-02',
}, {
id: 10553,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 1450,
date: '2024-04-07',
}, {
id: 10554,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 2640,
date: '2024-04-22',
}, {
id: 10555,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 4500,
date: '2024-04-05',
}, {
id: 10556,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 5050,
date: '2024-04-11',
}, {
id: 10557,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 2940,
date: '2024-04-02',
}, {
id: 10558,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2880,
date: '2024-04-14',
}, {
id: 10559,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1050,
date: '2024-04-19',
}, {
id: 10560,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1850,
date: '2024-04-02',
}, {
id: 10561,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 3160,
date: '2024-04-01',
}, {
id: 10562,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 875,
date: '2024-04-04',
}, {
id: 10563,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1380,
date: '2024-04-21',
}, {
id: 10564,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 3060,
date: '2024-04-06',
}, {
id: 10565,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 6690,
date: '2024-05-19',
}, {
id: 10566,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 4525,
date: '2024-05-15',
}, {
id: 10567,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 4665,
date: '2024-05-10',
}, {
id: 10568,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 4530,
date: '2024-05-18',
}, {
id: 10569,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1330,
date: '2024-05-08',
}, {
id: 10570,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 1720,
date: '2024-05-20',
}, {
id: 10571,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 3750,
date: '2024-05-16',
}, {
id: 10572,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1290,
date: '2024-05-10',
}, {
id: 10573,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 4925,
date: '2024-05-14',
}, {
id: 10574,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 4300,
date: '2024-05-22',
}, {
id: 10575,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 5740,
date: '2024-05-08',
}, {
id: 10576,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 1440,
date: '2024-05-21',
}, {
id: 10577,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 5975,
date: '2024-05-25',
}, {
id: 10578,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4440,
date: '2024-05-05',
}, {
id: 10579,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2310,
date: '2024-05-24',
}, {
id: 10580,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2250,
date: '2024-05-06',
}, {
id: 10581,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 2320,
date: '2024-05-14',
}, {
id: 10582,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 5190,
date: '2024-06-26',
}, {
id: 10583,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 925,
date: '2024-06-04',
}, {
id: 10584,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 3240,
date: '2024-06-20',
}, {
id: 10585,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 3180,
date: '2024-06-23',
}, {
id: 10586,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 780,
date: '2024-06-13',
}, {
id: 10587,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 4680,
date: '2024-06-08',
}, {
id: 10588,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 2475,
date: '2024-06-25',
}, {
id: 10589,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1920,
date: '2024-06-20',
}, {
id: 10590,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 7500,
date: '2024-06-25',
}, {
id: 10591,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5025,
date: '2024-06-26',
}, {
id: 10592,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 2400,
date: '2024-06-08',
}, {
id: 10593,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 5430,
date: '2024-06-03',
}, {
id: 10594,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 4475,
date: '2024-06-19',
}, {
id: 10595,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 1420,
date: '2024-06-20',
}, {
id: 10596,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2670,
date: '2024-06-25',
}, {
id: 10597,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1930,
date: '2024-06-02',
}, {
id: 10598,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 580,
date: '2024-06-25',
}, {
id: 10599,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1620,
date: '2024-06-12',
}, {
id: 10600,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4530,
date: '2024-06-02',
}, {
id: 10601,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 6025,
date: '2024-06-23',
}, {
id: 10602,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 3540,
date: '2024-07-21',
}, {
id: 10603,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 3000,
date: '2024-07-01',
}, {
id: 10604,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 3240,
date: '2024-07-26',
}, {
id: 10605,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2265,
date: '2024-07-22',
}, {
id: 10606,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 400,
date: '2024-07-09',
}, {
id: 10607,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 1460,
date: '2024-07-08',
}, {
id: 10608,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1620,
date: '2024-07-18',
}, {
id: 10609,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2400,
date: '2024-07-25',
}, {
id: 10610,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 5275,
date: '2024-07-04',
}, {
id: 10611,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 4475,
date: '2024-07-03',
}, {
id: 10612,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 3980,
date: '2024-07-21',
}, {
id: 10613,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 5700,
date: '2024-07-18',
}, {
id: 10614,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 5575,
date: '2024-07-01',
}, {
id: 10615,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 2160,
date: '2024-07-02',
}, {
id: 10616,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 960,
date: '2024-07-09',
}, {
id: 10617,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1280,
date: '2024-07-04',
}, {
id: 10618,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1040,
date: '2024-07-02',
}, {
id: 10619,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1760,
date: '2024-07-25',
}, {
id: 10620,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 4080,
date: '2024-07-07',
}, {
id: 10621,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1000,
date: '2024-07-21',
}, {
id: 10622,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 1770,
date: '2024-08-23',
}, {
id: 10623,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 2700,
date: '2024-08-09',
}, {
id: 10624,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2175,
date: '2024-08-03',
}, {
id: 10625,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 3375,
date: '2024-08-11',
}, {
id: 10626,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2040,
date: '2024-08-01',
}, {
id: 10627,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 3000,
date: '2024-08-21',
}, {
id: 10628,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 3900,
date: '2024-08-16',
}, {
id: 10629,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1370,
date: '2024-08-20',
}, {
id: 10630,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 5700,
date: '2024-08-01',
}, {
id: 10631,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 1275,
date: '2024-08-22',
}, {
id: 10632,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 4060,
date: '2024-08-13',
}, {
id: 10633,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 4560,
date: '2024-08-20',
}, {
id: 10634,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 7575,
date: '2024-08-20',
}, {
id: 10635,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 700,
date: '2024-08-25',
}, {
id: 10636,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2400,
date: '2024-08-16',
}, {
id: 10637,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1390,
date: '2024-08-15',
}, {
id: 10638,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1320,
date: '2024-08-09',
}, {
id: 10639,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 1680,
date: '2024-08-09',
}, {
id: 10640,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1500,
date: '2024-08-11',
}, {
id: 10641,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 6150,
date: '2024-09-21',
}, {
id: 10642,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 3675,
date: '2024-09-02',
}, {
id: 10643,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2250,
date: '2024-09-05',
}, {
id: 10644,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 3585,
date: '2024-09-10',
}, {
id: 10645,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1470,
date: '2024-09-01',
}, {
id: 10646,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 2260,
date: '2024-09-02',
}, {
id: 10647,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 3765,
date: '2024-09-03',
}, {
id: 10648,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1640,
date: '2024-09-04',
}, {
id: 10649,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 4475,
date: '2024-09-09',
}, {
id: 10650,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5975,
date: '2024-09-04',
}, {
id: 10651,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 1100,
date: '2024-09-16',
}, {
id: 10652,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 9210,
date: '2024-09-09',
}, {
id: 10653,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 3700,
date: '2024-09-01',
}, {
id: 10654,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 3620,
date: '2024-09-19',
}, {
id: 10655,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4275,
date: '2024-09-01',
}, {
id: 10656,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2370,
date: '2024-09-03',
}, {
id: 10657,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1870,
date: '2024-09-10',
}, {
id: 10658,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2070,
date: '2024-09-25',
}, {
id: 10659,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5025,
date: '2024-09-19',
}, {
id: 10660,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 1080,
date: '2024-10-15',
}, {
id: 10661,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 1400,
date: '2024-10-22',
}, {
id: 10662,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 4260,
date: '2024-10-01',
}, {
id: 10663,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2745,
date: '2024-10-01',
}, {
id: 10664,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2920,
date: '2024-10-23',
}, {
id: 10665,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 3520,
date: '2024-10-11',
}, {
id: 10666,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4035,
date: '2024-10-20',
}, {
id: 10667,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1730,
date: '2024-10-05',
}, {
id: 10668,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 975,
date: '2024-10-06',
}, {
id: 10669,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5700,
date: '2024-10-06',
}, {
id: 10670,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 5080,
date: '2024-10-18',
}, {
id: 10671,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 1230,
date: '2024-10-11',
}, {
id: 10672,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 600,
date: '2024-10-08',
}, {
id: 10673,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 3700,
date: '2024-10-08',
}, {
id: 10674,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3375,
date: '2024-10-11',
}, {
id: 10675,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1500,
date: '2024-10-17',
}, {
id: 10676,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 370,
date: '2024-10-05',
}, {
id: 10677,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2340,
date: '2024-10-16',
}, {
id: 10678,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 1080,
date: '2024-10-08',
}, {
id: 10679,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 2775,
date: '2024-10-21',
}, {
id: 10680,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 4380,
date: '2024-11-09',
}, {
id: 10681,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 5500,
date: '2024-11-21',
}, {
id: 10682,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 1920,
date: '2024-11-24',
}, {
id: 10683,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 765,
date: '2024-11-24',
}, {
id: 10684,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 370,
date: '2024-11-18',
}, {
id: 10685,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 3500,
date: '2024-11-25',
}, {
id: 10686,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 825,
date: '2024-11-09',
}, {
id: 10687,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 490,
date: '2024-11-23',
}, {
id: 10688,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 7075,
date: '2024-11-20',
}, {
id: 10689,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 1350,
date: '2024-11-25',
}, {
id: 10690,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 1440,
date: '2024-11-15',
}, {
id: 10691,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 1110,
date: '2024-11-03',
}, {
id: 10692,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 1150,
date: '2024-11-23',
}, {
id: 10693,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 2040,
date: '2024-11-20',
}, {
id: 10694,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3090,
date: '2024-11-24',
}, {
id: 10695,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1940,
date: '2024-11-24',
}, {
id: 10696,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 3090,
date: '2024-11-16',
}, {
id: 10697,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 4900,
date: '2024-11-05',
}, {
id: 10698,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 3465,
date: '2024-11-07',
}, {
id: 10699,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1110,
date: '2024-11-20',
}, {
id: 10700,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1650,
date: '2024-11-02',
}, {
id: 10701,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 5280,
date: '2024-12-04',
}, {
id: 10702,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 3075,
date: '2024-12-02',
}, {
id: 10703,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 690,
date: '2024-12-07',
}, {
id: 10704,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1305,
date: '2024-12-15',
}, {
id: 10705,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1970,
date: '2024-12-01',
}, {
id: 10706,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 3760,
date: '2024-12-18',
}, {
id: 10707,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1920,
date: '2024-12-22',
}, {
id: 10708,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1360,
date: '2024-12-12',
}, {
id: 10709,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 2525,
date: '2024-12-06',
}, {
id: 10710,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5575,
date: '2024-12-20',
}, {
id: 10711,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 5560,
date: '2024-12-10',
}, {
id: 10712,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 2820,
date: '2024-12-10',
}, {
id: 10713,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 4000,
date: '2024-12-12',
}, {
id: 10714,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 5820,
date: '2024-12-02',
}, {
id: 10715,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1275,
date: '2024-12-12',
}, {
id: 10716,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1310,
date: '2024-12-01',
}, {
id: 10717,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 2180,
date: '2024-12-26',
}, {
id: 10718,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4470,
date: '2024-12-17',
}, {
id: 10719,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2990,
date: '2024-12-15',
}, {
id: 10720,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 7650,
date: '2024-12-18',
}, {
id: 10721,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 780,
date: '2024-12-02',
}, {
id: 10722,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2970,
date: '2024-12-13',
}, {
id: 10723,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1155,
date: '2024-12-05',
}, {
id: 10724,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 4470,
date: '2025-01-10',
}, {
id: 10725,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 1125,
date: '2025-01-21',
}, {
id: 10726,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 645,
date: '2025-01-17',
}, {
id: 10727,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 675,
date: '2025-01-05',
}, {
id: 10728,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2840,
date: '2025-01-05',
}, {
id: 10729,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 2660,
date: '2025-01-04',
}, {
id: 10730,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4560,
date: '2025-01-12',
}, {
id: 10731,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2880,
date: '2025-01-20',
}, {
id: 10732,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 500,
date: '2025-01-02',
}, {
id: 10733,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 3925,
date: '2025-01-07',
}, {
id: 10734,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 5660,
date: '2025-01-18',
}, {
id: 10735,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 4830,
date: '2025-01-13',
}, {
id: 10736,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 3075,
date: '2025-01-22',
}, {
id: 10737,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 3120,
date: '2025-01-14',
}, {
id: 10738,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3525,
date: '2025-01-23',
}, {
id: 10739,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1930,
date: '2025-01-09',
}, {
id: 10740,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 2890,
date: '2025-01-02',
}, {
id: 10741,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1545,
date: '2025-01-17',
}, {
id: 10742,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3630,
date: '2025-01-20',
}, {
id: 10743,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 4035,
date: '2025-01-14',
}, {
id: 10744,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 345,
date: '2025-01-06',
}, {
id: 10745,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 7000,
date: '2025-01-07',
}, {
id: 10746,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 3060,
date: '2025-02-13',
}, {
id: 10747,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 6425,
date: '2025-02-04',
}, {
id: 10748,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 615,
date: '2025-02-22',
}, {
id: 10749,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1755,
date: '2025-02-07',
}, {
id: 10750,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1540,
date: '2025-02-21',
}, {
id: 10751,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 2820,
date: '2025-02-24',
}, {
id: 10752,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4305,
date: '2025-02-10',
}, {
id: 10753,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1520,
date: '2025-02-26',
}, {
id: 10754,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 4725,
date: '2025-02-18',
}, {
id: 10755,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 6750,
date: '2025-02-16',
}, {
id: 10756,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 5540,
date: '2025-02-07',
}, {
id: 10757,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 9300,
date: '2025-02-03',
}, {
id: 10758,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 3700,
date: '2025-02-26',
}, {
id: 10759,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 740,
date: '2025-02-01',
}, {
id: 10760,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4755,
date: '2025-02-23',
}, {
id: 10761,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2570,
date: '2025-02-20',
}, {
id: 10762,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 2860,
date: '2025-02-19',
}, {
id: 10763,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 5430,
date: '2025-03-21',
}, {
id: 10764,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 4525,
date: '2025-03-21',
}, {
id: 10765,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 1515,
date: '2025-03-10',
}, {
id: 10766,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 630,
date: '2025-03-15',
}, {
id: 10767,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1310,
date: '2025-03-01',
}, {
id: 10768,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 3200,
date: '2025-03-17',
}, {
id: 10769,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 3945,
date: '2025-03-20',
}, {
id: 10770,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2990,
date: '2025-03-18',
}, {
id: 10771,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 1125,
date: '2025-03-22',
}, {
id: 10772,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 7950,
date: '2025-03-17',
}, {
id: 10773,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 2960,
date: '2025-03-25',
}, {
id: 10774,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 3930,
date: '2025-03-23',
}, {
id: 10775,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 6975,
date: '2025-03-02',
}, {
id: 10776,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4220,
date: '2025-03-17',
}, {
id: 10777,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3090,
date: '2025-03-25',
}, {
id: 10778,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2380,
date: '2025-03-01',
}, {
id: 10779,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1510,
date: '2025-03-07',
}, {
id: 10780,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 1020,
date: '2025-03-19',
}, {
id: 10781,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 6700,
date: '2025-03-26',
}, {
id: 10782,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 4890,
date: '2025-04-02',
}, {
id: 10783,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 7225,
date: '2025-04-13',
}, {
id: 10784,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 795,
date: '2025-04-07',
}, {
id: 10785,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1785,
date: '2025-04-03',
}, {
id: 10786,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1850,
date: '2025-04-03',
}, {
id: 10787,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 5120,
date: '2025-04-12',
}, {
id: 10788,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 615,
date: '2025-04-07',
}, {
id: 10789,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2860,
date: '2025-04-05',
}, {
id: 10790,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 1525,
date: '2025-04-24',
}, {
id: 10791,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 7425,
date: '2025-04-15',
}, {
id: 10792,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 6080,
date: '2025-04-13',
}, {
id: 10793,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 9390,
date: '2025-04-19',
}, {
id: 10794,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 3200,
date: '2025-04-26',
}, {
id: 10795,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4380,
date: '2025-04-05',
}, {
id: 10796,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4725,
date: '2025-04-06',
}, {
id: 10797,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 930,
date: '2025-04-25',
}, {
id: 10798,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1910,
date: '2025-04-05',
}, {
id: 10799,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 2725,
date: '2025-04-16',
}, {
id: 10800,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4720,
date: '2025-04-02',
}, {
id: 10801,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2800,
date: '2025-04-26',
}, {
id: 10802,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 3780,
date: '2025-04-24',
}, {
id: 10803,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2340,
date: '2025-04-17',
}, {
id: 10804,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 4830,
date: '2025-05-12',
}, {
id: 10805,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 2075,
date: '2025-05-23',
}, {
id: 10806,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 3420,
date: '2025-05-21',
}, {
id: 10807,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1440,
date: '2025-05-10',
}, {
id: 10808,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1680,
date: '2025-05-15',
}, {
id: 10809,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 3440,
date: '2025-05-16',
}, {
id: 10810,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4695,
date: '2025-05-10',
}, {
id: 10811,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2380,
date: '2025-05-06',
}, {
id: 10812,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 1875,
date: '2025-05-25',
}, {
id: 10813,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 7550,
date: '2025-05-14',
}, {
id: 10814,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 3340,
date: '2025-05-01',
}, {
id: 10815,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 8370,
date: '2025-05-13',
}, {
id: 10816,
region: 'Asia',
country: 'Republic of Korea',
city: 'Seoul',
amount: 3550,
date: '2025-05-26',
}, {
id: 10817,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 2620,
date: '2025-05-17',
}, {
id: 10818,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2400,
date: '2025-05-21',
}, {
id: 10819,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1740,
date: '2025-05-21',
}, {
id: 10820,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 500,
date: '2025-05-26',
}, {
id: 10821,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 780,
date: '2025-05-07',
}];
@Injectable()
export class Service {
getSales() {
return sales;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
const componentNames = [
'accordion',
'action-sheet',
'autocomplete',
'bar-gauge',
'box',
'bullet',
'button-group',
'button',
'calendar',
'card-view',
'chart',
'chat',
'check-box',
'circular-gauge',
'color-box',
'context-menu',
'data-grid',
'date-box',
'date-range-box',
'defer-rendering',
'diagram',
'draggable',
'drawer',
'drop-down-box',
'drop-down-button',
'file-manager',
'file-uploader',
'filter-builder',
'form',
'funnel',
'gallery',
'gantt',
'html-editor',
'linear-gauge',
'list',
'load-indicator',
'load-panel',
'lookup',
'map',
'menu',
'multi-view',
'nested',
'number-box',
'pagination',
'pie-chart',
'pivot-grid-field-chooser',
'pivot-grid',
'polar-chart',
'popover',
'popup',
'progress-bar',
'radio-group',
'range-selector',
'range-slider',
'recurrence-editor',
'resizable',
'responsive-box',
'sankey',
'scheduler',
'scroll-view',
'select-box',
'slider',
'sortable',
'sparkline',
'speech-to-text',
'speed-dial-action',
'splitter',
'stepper',
'switch',
'tab-panel',
'tabs',
'tag-box',
'text-area',
'text-box',
'tile-view',
'toast',
'toolbar',
'tooltip',
'tree-list',
'tree-map',
'tree-view',
'validation-group',
'validation-summary',
'validator',
'vector-map',
];
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'@angular/platform-browser-dynamic': {
'esModule': true,
},
'@angular/platform-browser': {
'esModule': true,
},
'@angular/core': {
'esModule': true,
},
'@angular/common': {
'esModule': true,
},
'@angular/common/http': {
'esModule': true,
},
'@angular/animations': {
'esModule': true,
},
'@angular/forms': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
/* @angular */
'@angular/compiler': 'bundles:@angular/compiler.umd.js',
'@angular/platform-browser-dynamic': 'bundles:@angular/platform-browser-dynamic.umd.js',
'@angular/core': 'bundles:@angular/core.umd.js',
'@angular/core/primitives/signals': 'bundles:@angular/core.primitives.signals.umd.js',
'@angular/core/primitives/di': 'bundles:@angular/core.primitives.di.umd.js',
'@angular/common': 'bundles:@angular/common.umd.js',
'@angular/common/http': 'bundles:@angular/common-http.umd.js',
'@angular/platform-browser': 'bundles:@angular/platform-browser.umd.js',
'@angular/platform-browser/animations': 'bundles:@angular/platform-browser.umd.js',
'@angular/forms': 'bundles:@angular/forms.umd.js',
/* devextreme */
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.9/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69',
/* devextreme-angular umd maps */
'devextreme-angular': 'bundles:devextreme-angular/devextreme-angular.umd.js',
'devextreme-angular/common/ai-integration': 'bundles:devextreme-angular/devextreme-angular-common-ai-integration.umd.js',
'devextreme-angular/core': 'bundles:devextreme-angular/devextreme-angular-core.umd.js',
'devextreme-angular/common/charts': 'bundles:devextreme-angular/devextreme-angular-common-charts.umd.js',
'devextreme-angular/common/core/animation': 'bundles:devextreme-angular/devextreme-angular-common-core-animation.umd.js',
'devextreme-angular/common/core/environment': 'bundles:devextreme-angular/devextreme-angular-common-core-environment.umd.js',
'devextreme-angular/common/core/events': 'bundles:devextreme-angular/devextreme-angular-common-core-events.umd.js',
'devextreme-angular/common/core/localization': 'bundles:devextreme-angular/devextreme-angular-common-core-localization.umd.js',
'devextreme-angular/common/core': 'bundles:devextreme-angular/devextreme-angular-common-core.umd.js',
'devextreme-angular/common/data/custom-store': 'bundles:devextreme-angular/devextreme-angular-common-data-custom-store.umd.js',
'devextreme-angular/common/data': 'bundles:devextreme-angular/devextreme-angular-common-data.umd.js',
'devextreme-angular/common/export/excel': 'bundles:devextreme-angular/devextreme-angular-common-export-excel.umd.js',
'devextreme-angular/common/export/pdf': 'bundles:devextreme-angular/devextreme-angular-common-export-pdf.umd.js',
'devextreme-angular/common/export': 'bundles:devextreme-angular/devextreme-angular-common-export.umd.js',
'devextreme-angular/common/grids': 'bundles:devextreme-angular/devextreme-angular-common-grids.umd.js',
'devextreme-angular/common': 'bundles:devextreme-angular/devextreme-angular-common.umd.js',
'devextreme-angular/http': 'bundles:devextreme-angular/devextreme-angular-http.umd.js',
'devextreme-angular/core/tokens': 'bundles:devextreme-angular/devextreme-angular-core-tokens.umd.js',
...componentNames.reduce((acc, name) => {
acc[`devextreme-angular/ui/${name}`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}.umd.js`;
acc[`devextreme-angular/ui/${name}/nested`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}-nested.umd.js`;
return acc;
}, {}),
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.1/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
'zone.js': 'npm:zone.js@0.15.1/bundles/zone.umd.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devexpress-diagram@2.2.29/package.json',
'npm:devexpress-gantt@4.1.69/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line no-console
// System.import('@angular/compiler').catch(console.error.bind(console));
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"@angular/core": {
"version": "21.2.11"
},
"core-js": {
"version": "2.6.12"
},
"typescript": {
"version": "5.9.3"
},
"zone.js": {
"version": "0.15.1"
}
};
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.2.8/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/zone.js@0.15.1/bundles/zone.umd.js"></script>
<script src="https://cdn.jsdelivr.net/npm/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>